!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 288

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(996)
  integer, parameter :: nGC_51 = 1
  integer, parameter :: nGC_49 = 2
  integer, parameter :: nGC_50 = 3
  integer, parameter :: nGC_245 = 4
  integer, parameter :: nGC_246 = 5
  integer, parameter :: nGC_6 = 6
  integer, parameter :: nGC_4 = 7
  integer, parameter :: nGC_3 = 8
  integer, parameter :: nGC_52 = 9
  integer, parameter :: nGC_212 = 10
  integer, parameter :: nGC_213 = 11
  integer, parameter :: nGC_153 = 12
  integer, parameter :: nGC_240 = 13
  integer, parameter :: nGC_152 = 14
  integer, parameter :: nGC_214 = 15
  integer, parameter :: nGC_233 = 16
  integer, parameter :: nGC_241 = 17
  integer, parameter :: nGC_10 = 18
  integer, parameter :: nGC_6550 = 19
  integer, parameter :: nGC_6551 = 20
  integer, parameter :: nGC_12 = 21
  integer, parameter :: nGC_6552 = 22
  integer, parameter :: nGC_6553 = 23
  integer, parameter :: nGC_22 = 24
  integer, parameter :: nGC_13 = 25
  integer, parameter :: nGC_6554 = 26
  integer, parameter :: nGC_6555 = 27
  integer, parameter :: nGC_23 = 28
  integer, parameter :: nGC_14 = 29
  integer, parameter :: nGC_6556 = 30
  integer, parameter :: nGC_6557 = 31
  integer, parameter :: nGC_24 = 32
  integer, parameter :: nGC_15 = 33
  integer, parameter :: nGC_6558 = 34
  integer, parameter :: nGC_6559 = 35
  integer, parameter :: nGC_25 = 36
  integer, parameter :: nGC_16 = 37
  integer, parameter :: nGC_6560 = 38
  integer, parameter :: nGC_6561 = 39
  integer, parameter :: nGC_26 = 40
  integer, parameter :: nGC_17 = 41
  integer, parameter :: nGC_6562 = 42
  integer, parameter :: nGC_6563 = 43
  integer, parameter :: nGC_27 = 44
  integer, parameter :: nGC_18 = 45
  integer, parameter :: nGC_6564 = 46
  integer, parameter :: nGC_6565 = 47
  integer, parameter :: nGC_28 = 48
  integer, parameter :: nGC_19 = 49
  integer, parameter :: nGC_6566 = 50
  integer, parameter :: nGC_6567 = 51
  integer, parameter :: nGC_29 = 52
  integer, parameter :: nGC_20 = 53
  integer, parameter :: nGC_6568 = 54
  integer, parameter :: nGC_6569 = 55
  integer, parameter :: nGC_30 = 56
  integer, parameter :: nGC_21 = 57
  integer, parameter :: nGC_6570 = 58
  integer, parameter :: nGC_6571 = 59
  integer, parameter :: nGC_254 = 60
  integer, parameter :: nGC_6572 = 61
  integer, parameter :: nGC_6573 = 62
  integer, parameter :: nGC_262 = 63
  integer, parameter :: nGC_6574 = 64
  integer, parameter :: nGC_6575 = 65
  integer, parameter :: nGC_250 = 66
  integer, parameter :: nGC_6576 = 67
  integer, parameter :: nGC_6577 = 68
  integer, parameter :: nGC_255 = 69
  integer, parameter :: nGC_6578 = 70
  integer, parameter :: nGC_6579 = 71
  integer, parameter :: nGC_263 = 72
  integer, parameter :: nGC_6580 = 73
  integer, parameter :: nGC_6581 = 74
  integer, parameter :: nGC_251 = 75
  integer, parameter :: nGC_6582 = 76
  integer, parameter :: nGC_6583 = 77
  integer, parameter :: nGC_256 = 78
  integer, parameter :: nGC_259 = 79
  integer, parameter :: nGC_266 = 80
  integer, parameter :: nGC_257 = 81
  integer, parameter :: nGC_260 = 82
  integer, parameter :: nGC_267 = 83
  integer, parameter :: nGC_258 = 84
  integer, parameter :: nGC_261 = 85
  integer, parameter :: nGC_268 = 86
  integer, parameter :: nGC_40 = 87
  integer, parameter :: nGC_31 = 88
  integer, parameter :: nGC_6593 = 89
  integer, parameter :: nGC_6594 = 90
  integer, parameter :: nGC_41 = 91
  integer, parameter :: nGC_32 = 92
  integer, parameter :: nGC_6595 = 93
  integer, parameter :: nGC_6596 = 94
  integer, parameter :: nGC_42 = 95
  integer, parameter :: nGC_33 = 96
  integer, parameter :: nGC_6597 = 97
  integer, parameter :: nGC_6598 = 98
  integer, parameter :: nGC_43 = 99
  integer, parameter :: nGC_34 = 100
  integer, parameter :: nGC_6599 = 101
  integer, parameter :: nGC_6600 = 102
  integer, parameter :: nGC_44 = 103
  integer, parameter :: nGC_35 = 104
  integer, parameter :: nGC_6601 = 105
  integer, parameter :: nGC_6602 = 106
  integer, parameter :: nGC_45 = 107
  integer, parameter :: nGC_36 = 108
  integer, parameter :: nGC_6603 = 109
  integer, parameter :: nGC_6604 = 110
  integer, parameter :: nGC_46 = 111
  integer, parameter :: nGC_37 = 112
  integer, parameter :: nGC_6605 = 113
  integer, parameter :: nGC_6606 = 114
  integer, parameter :: nGC_47 = 115
  integer, parameter :: nGC_38 = 116
  integer, parameter :: nGC_6607 = 117
  integer, parameter :: nGC_6608 = 118
  integer, parameter :: nGC_48 = 119
  integer, parameter :: nGC_39 = 120
  integer, parameter :: nGC_6609 = 121
  integer, parameter :: nGC_6610 = 122
  integer, parameter :: nGC_270 = 123
  integer, parameter :: nGC_6611 = 124
  integer, parameter :: nGC_6612 = 125
  integer, parameter :: nGC_253 = 126
  integer, parameter :: nGC_6613 = 127
  integer, parameter :: nGC_6614 = 128
  integer, parameter :: nGC_265 = 129
  integer, parameter :: nGC_6615 = 130
  integer, parameter :: nGC_6616 = 131
  integer, parameter :: nGC_269 = 132
  integer, parameter :: nGC_6617 = 133
  integer, parameter :: nGC_6618 = 134
  integer, parameter :: nGC_252 = 135
  integer, parameter :: nGC_6619 = 136
  integer, parameter :: nGC_6620 = 137
  integer, parameter :: nGC_264 = 138
  integer, parameter :: nGC_6621 = 139
  integer, parameter :: nGC_6622 = 140
  integer, parameter :: nGC_90 = 141
  integer, parameter :: nGC_6623 = 142
  integer, parameter :: nGC_6624 = 143
  integer, parameter :: nGC_96 = 144
  integer, parameter :: nGC_93 = 145
  integer, parameter :: nGC_6625 = 146
  integer, parameter :: nGC_6626 = 147
  integer, parameter :: nGC_6628 = 148
  integer, parameter :: nGC_6629 = 149
  integer, parameter :: nGC_6627 = 150
  integer, parameter :: nGC_6630 = 151
  integer, parameter :: nGC_110 = 152
  integer, parameter :: nGC_105 = 153
  integer, parameter :: nGC_6631 = 154
  integer, parameter :: nGC_6632 = 155
  integer, parameter :: nGC_6634 = 156
  integer, parameter :: nGC_6635 = 157
  integer, parameter :: nGC_6633 = 158
  integer, parameter :: nGC_6636 = 159
  integer, parameter :: nGC_91 = 160
  integer, parameter :: nGC_6637 = 161
  integer, parameter :: nGC_6638 = 162
  integer, parameter :: nGC_114 = 163
  integer, parameter :: nGC_112 = 164
  integer, parameter :: nGC_6639 = 165
  integer, parameter :: nGC_6640 = 166
  integer, parameter :: nGC_6642 = 167
  integer, parameter :: nGC_6643 = 168
  integer, parameter :: nGC_6641 = 169
  integer, parameter :: nGC_6644 = 170
  integer, parameter :: nGC_131 = 171
  integer, parameter :: nGC_126 = 172
  integer, parameter :: nGC_6645 = 173
  integer, parameter :: nGC_6646 = 174
  integer, parameter :: nGC_6648 = 175
  integer, parameter :: nGC_6649 = 176
  integer, parameter :: nGC_6647 = 177
  integer, parameter :: nGC_6650 = 178
  integer, parameter :: nGC_92 = 179
  integer, parameter :: nGC_95 = 180
  integer, parameter :: nGC_6651 = 181
  integer, parameter :: nGC_6652 = 182
  integer, parameter :: nGC_6654 = 183
  integer, parameter :: nGC_6655 = 184
  integer, parameter :: nGC_6653 = 185
  integer, parameter :: nGC_6656 = 186
  integer, parameter :: nGC_94 = 187
  integer, parameter :: nGC_6657 = 188
  integer, parameter :: nGC_6658 = 189
  integer, parameter :: nGC_107 = 190
  integer, parameter :: nGC_103 = 191
  integer, parameter :: nGC_6659 = 192
  integer, parameter :: nGC_6660 = 193
  integer, parameter :: nGC_6662 = 194
  integer, parameter :: nGC_6663 = 195
  integer, parameter :: nGC_6661 = 196
  integer, parameter :: nGC_6664 = 197
  integer, parameter :: nGC_89 = 198
  integer, parameter :: nGC_100 = 199
  integer, parameter :: nGC_98 = 200
  integer, parameter :: nGC_121 = 201
  integer, parameter :: nGC_117 = 202
  integer, parameter :: nGC_97 = 203
  integer, parameter :: nGC_99 = 204
  integer, parameter :: nGC_101 = 205
  integer, parameter :: nGC_123 = 206
  integer, parameter :: nGC_119 = 207
  integer, parameter :: nGC_104 = 208
  integer, parameter :: nGC_109 = 209
  integer, parameter :: nGC_6675 = 210
  integer, parameter :: nGC_6676 = 211
  integer, parameter :: nGC_6678 = 212
  integer, parameter :: nGC_6679 = 213
  integer, parameter :: nGC_6677 = 214
  integer, parameter :: nGC_6680 = 215
  integer, parameter :: nGC_102 = 216
  integer, parameter :: nGC_106 = 217
  integer, parameter :: nGC_6681 = 218
  integer, parameter :: nGC_6682 = 219
  integer, parameter :: nGC_6684 = 220
  integer, parameter :: nGC_6685 = 221
  integer, parameter :: nGC_6683 = 222
  integer, parameter :: nGC_6686 = 223
  integer, parameter :: nGC_108 = 224
  integer, parameter :: nGC_6687 = 225
  integer, parameter :: nGC_6688 = 226
  integer, parameter :: nGC_116 = 227
  integer, parameter :: nGC_120 = 228
  integer, parameter :: nGC_118 = 229
  integer, parameter :: nGC_122 = 230
  integer, parameter :: nGC_124 = 231
  integer, parameter :: nGC_111 = 232
  integer, parameter :: nGC_113 = 233
  integer, parameter :: nGC_6694 = 234
  integer, parameter :: nGC_6695 = 235
  integer, parameter :: nGC_6697 = 236
  integer, parameter :: nGC_6698 = 237
  integer, parameter :: nGC_6696 = 238
  integer, parameter :: nGC_6699 = 239
  integer, parameter :: nGC_115 = 240
  integer, parameter :: nGC_6700 = 241
  integer, parameter :: nGC_6701 = 242
  integer, parameter :: nGC_133 = 243
  integer, parameter :: nGC_128 = 244
  integer, parameter :: nGC_6702 = 245
  integer, parameter :: nGC_6703 = 246
  integer, parameter :: nGC_6705 = 247
  integer, parameter :: nGC_6706 = 248
  integer, parameter :: nGC_6704 = 249
  integer, parameter :: nGC_6707 = 250
  integer, parameter :: nGC_125 = 251
  integer, parameter :: nGC_130 = 252
  integer, parameter :: nGC_6708 = 253
  integer, parameter :: nGC_6709 = 254
  integer, parameter :: nGC_6711 = 255
  integer, parameter :: nGC_6712 = 256
  integer, parameter :: nGC_6710 = 257
  integer, parameter :: nGC_6713 = 258
  integer, parameter :: nGC_127 = 259
  integer, parameter :: nGC_132 = 260
  integer, parameter :: nGC_6714 = 261
  integer, parameter :: nGC_6715 = 262
  integer, parameter :: nGC_6717 = 263
  integer, parameter :: nGC_6718 = 264
  integer, parameter :: nGC_6716 = 265
  integer, parameter :: nGC_6719 = 266
  integer, parameter :: nGC_129 = 267
  integer, parameter :: nGC_6720 = 268
  integer, parameter :: nGC_6721 = 269
  integer, parameter :: nGC_71 = 270
  integer, parameter :: nGC_72 = 271
  integer, parameter :: nGC_6722 = 272
  integer, parameter :: nGC_6723 = 273
  integer, parameter :: nGC_6725 = 274
  integer, parameter :: nGC_6726 = 275
  integer, parameter :: nGC_6724 = 276
  integer, parameter :: nGC_6727 = 277
  integer, parameter :: nGC_74 = 278
  integer, parameter :: nGC_73 = 279
  integer, parameter :: nGC_6728 = 280
  integer, parameter :: nGC_6729 = 281
  integer, parameter :: nGC_6731 = 282
  integer, parameter :: nGC_6732 = 283
  integer, parameter :: nGC_6730 = 284
  integer, parameter :: nGC_6733 = 285
  integer, parameter :: nGC_76 = 286
  integer, parameter :: nGC_75 = 287
  integer, parameter :: nGC_6734 = 288
  integer, parameter :: nGC_6735 = 289
  integer, parameter :: nGC_6737 = 290
  integer, parameter :: nGC_6738 = 291
  integer, parameter :: nGC_6736 = 292
  integer, parameter :: nGC_6739 = 293
  integer, parameter :: nGC_79 = 294
  integer, parameter :: nGC_82 = 295
  integer, parameter :: nGC_6740 = 296
  integer, parameter :: nGC_6741 = 297
  integer, parameter :: nGC_6743 = 298
  integer, parameter :: nGC_6744 = 299
  integer, parameter :: nGC_6742 = 300
  integer, parameter :: nGC_6745 = 301
  integer, parameter :: nGC_77 = 302
  integer, parameter :: nGC_80 = 303
  integer, parameter :: nGC_6746 = 304
  integer, parameter :: nGC_6747 = 305
  integer, parameter :: nGC_6749 = 306
  integer, parameter :: nGC_6750 = 307
  integer, parameter :: nGC_6748 = 308
  integer, parameter :: nGC_6751 = 309
  integer, parameter :: nGC_78 = 310
  integer, parameter :: nGC_81 = 311
  integer, parameter :: nGC_6752 = 312
  integer, parameter :: nGC_6753 = 313
  integer, parameter :: nGC_6755 = 314
  integer, parameter :: nGC_6756 = 315
  integer, parameter :: nGC_6754 = 316
  integer, parameter :: nGC_6757 = 317
  integer, parameter :: nGC_85 = 318
  integer, parameter :: nGC_88 = 319
  integer, parameter :: nGC_6758 = 320
  integer, parameter :: nGC_6759 = 321
  integer, parameter :: nGC_6761 = 322
  integer, parameter :: nGC_6762 = 323
  integer, parameter :: nGC_6760 = 324
  integer, parameter :: nGC_6763 = 325
  integer, parameter :: nGC_83 = 326
  integer, parameter :: nGC_86 = 327
  integer, parameter :: nGC_6764 = 328
  integer, parameter :: nGC_6765 = 329
  integer, parameter :: nGC_6767 = 330
  integer, parameter :: nGC_6768 = 331
  integer, parameter :: nGC_6766 = 332
  integer, parameter :: nGC_6769 = 333
  integer, parameter :: nGC_84 = 334
  integer, parameter :: nGC_87 = 335
  integer, parameter :: nGC_6770 = 336
  integer, parameter :: nGC_6771 = 337
  integer, parameter :: nGC_6773 = 338
  integer, parameter :: nGC_6774 = 339
  integer, parameter :: nGC_6772 = 340
  integer, parameter :: nGC_6775 = 341
  integer, parameter :: nGC_218 = 342
  integer, parameter :: nGC_215 = 343
  integer, parameter :: nGC_224 = 344
  integer, parameter :: nGC_221 = 345
  integer, parameter :: nGC_230 = 346
  integer, parameter :: nGC_227 = 347
  integer, parameter :: nGC_219 = 348
  integer, parameter :: nGC_216 = 349
  integer, parameter :: nGC_225 = 350
  integer, parameter :: nGC_222 = 351
  integer, parameter :: nGC_231 = 352
  integer, parameter :: nGC_228 = 353
  integer, parameter :: nGC_220 = 354
  integer, parameter :: nGC_217 = 355
  integer, parameter :: nGC_226 = 356
  integer, parameter :: nGC_223 = 357
  integer, parameter :: nGC_232 = 358
  integer, parameter :: nGC_229 = 359
  integer, parameter :: nGC_156 = 360
  integer, parameter :: nGC_155 = 361
  integer, parameter :: nGC_248 = 362
  integer, parameter :: nGC_139 = 363
  integer, parameter :: nGC_138 = 364
  integer, parameter :: nGC_154 = 365
  integer, parameter :: nGC_137 = 366
  integer, parameter :: nGC_134 = 367
  integer, parameter :: nGC_247 = 368
  integer, parameter :: nGC_5 = 369
  integer, parameter :: nGC_135 = 370
  integer, parameter :: nGC_239 = 371
  integer, parameter :: nGC_236 = 372
  integer, parameter :: nGC_237 = 373
  integer, parameter :: nGC_9 = 374
  integer, parameter :: nGC_8 = 375
  integer, parameter :: nGC_244 = 376
  integer, parameter :: nGC_7 = 377
  integer, parameter :: nGC_157 = 378
  integer, parameter :: nGC_243 = 379
  integer, parameter :: nGC_242 = 380
  integer, parameter :: nGC_249 = 381
  integer, parameter :: nGC_136 = 382
  integer, parameter :: nGC_185 = 383
  integer, parameter :: nGC_167 = 384
  integer, parameter :: nGC_186 = 385
  integer, parameter :: nGC_168 = 386
  integer, parameter :: nGC_187 = 387
  integer, parameter :: nGC_169 = 388
  integer, parameter :: nGC_188 = 389
  integer, parameter :: nGC_170 = 390
  integer, parameter :: nGC_189 = 391
  integer, parameter :: nGC_171 = 392
  integer, parameter :: nGC_190 = 393
  integer, parameter :: nGC_172 = 394
  integer, parameter :: nGC_191 = 395
  integer, parameter :: nGC_173 = 396
  integer, parameter :: nGC_192 = 397
  integer, parameter :: nGC_174 = 398
  integer, parameter :: nGC_193 = 399
  integer, parameter :: nGC_175 = 400
  integer, parameter :: nGC_176 = 401
  integer, parameter :: nGC_158 = 402
  integer, parameter :: nGC_177 = 403
  integer, parameter :: nGC_159 = 404
  integer, parameter :: nGC_178 = 405
  integer, parameter :: nGC_160 = 406
  integer, parameter :: nGC_179 = 407
  integer, parameter :: nGC_161 = 408
  integer, parameter :: nGC_180 = 409
  integer, parameter :: nGC_162 = 410
  integer, parameter :: nGC_181 = 411
  integer, parameter :: nGC_163 = 412
  integer, parameter :: nGC_182 = 413
  integer, parameter :: nGC_164 = 414
  integer, parameter :: nGC_183 = 415
  integer, parameter :: nGC_165 = 416
  integer, parameter :: nGC_184 = 417
  integer, parameter :: nGC_166 = 418
  integer, parameter :: nGC_203 = 419
  integer, parameter :: nGC_194 = 420
  integer, parameter :: nGC_62 = 421
  integer, parameter :: nGC_53 = 422
  integer, parameter :: nGC_63 = 423
  integer, parameter :: nGC_54 = 424
  integer, parameter :: nGC_204 = 425
  integer, parameter :: nGC_195 = 426
  integer, parameter :: nGC_64 = 427
  integer, parameter :: nGC_55 = 428
  integer, parameter :: nGC_205 = 429
  integer, parameter :: nGC_196 = 430
  integer, parameter :: nGC_206 = 431
  integer, parameter :: nGC_197 = 432
  integer, parameter :: nGC_65 = 433
  integer, parameter :: nGC_56 = 434
  integer, parameter :: nGC_66 = 435
  integer, parameter :: nGC_57 = 436
  integer, parameter :: nGC_207 = 437
  integer, parameter :: nGC_198 = 438
  integer, parameter :: nGC_67 = 439
  integer, parameter :: nGC_58 = 440
  integer, parameter :: nGC_208 = 441
  integer, parameter :: nGC_199 = 442
  integer, parameter :: nGC_209 = 443
  integer, parameter :: nGC_200 = 444
  integer, parameter :: nGC_68 = 445
  integer, parameter :: nGC_59 = 446
  integer, parameter :: nGC_69 = 447
  integer, parameter :: nGC_60 = 448
  integer, parameter :: nGC_210 = 449
  integer, parameter :: nGC_201 = 450
  integer, parameter :: nGC_70 = 451
  integer, parameter :: nGC_61 = 452
  integer, parameter :: nGC_211 = 453
  integer, parameter :: nGC_202 = 454
  integer, parameter :: nGC_2 = 455
  integer, parameter :: nGC_1 = 456
  integer, parameter :: nGC_11 = 457
  integer, parameter :: nGC_141 = 458
  integer, parameter :: nGC_142 = 459
  integer, parameter :: nGC_143 = 460
  integer, parameter :: nGC_144 = 461
  integer, parameter :: nGC_145 = 462
  integer, parameter :: nGC_146 = 463
  integer, parameter :: nGC_147 = 464
  integer, parameter :: nGC_148 = 465
  integer, parameter :: nGC_149 = 466
  integer, parameter :: nGC_271 = 467
  integer, parameter :: nGC_274 = 468
  integer, parameter :: nGC_277 = 469
  integer, parameter :: nGC_272 = 470
  integer, parameter :: nGC_275 = 471
  integer, parameter :: nGC_278 = 472
  integer, parameter :: nGC_273 = 473
  integer, parameter :: nGC_276 = 474
  integer, parameter :: nGC_279 = 475
  integer, parameter :: nGC_140 = 476
  integer, parameter :: nGC_234 = 477
  integer, parameter :: nGC_151 = 478
  integer, parameter :: nGC_150 = 479
  integer, parameter :: nGC_238 = 480
  integer, parameter :: nGC_235 = 481
  integer, parameter :: nGC_6916 = 482
  integer, parameter :: nGC_MT = 483
  integer, parameter :: nGC_MI = 484
  integer, parameter :: nGC_6918 = 485
  integer, parameter :: nGC_MU = 486
  integer, parameter :: nGC_6919 = 487
  integer, parameter :: nGC_MD = 488
  integer, parameter :: nGC_6920 = 489
  integer, parameter :: nGC_MC = 490
  integer, parameter :: nGC_6921 = 491
  integer, parameter :: nGC_MS = 492
  integer, parameter :: nGC_6922 = 493
  integer, parameter :: nGC_MB = 494
  integer, parameter :: nGC_330 = 495
  integer, parameter :: nGC_334 = 496
  integer, parameter :: nGC_348 = 497
  integer, parameter :: nGC_354 = 498
  integer, parameter :: nGC_384 = 499
  integer, parameter :: nGC_394 = 500
  integer, parameter :: nGC_398 = 501
  integer, parameter :: nGC_400 = 502
  integer, parameter :: nGC_448 = 503
  integer, parameter :: nGC_452 = 504
  integer, parameter :: nGC_456 = 505
  integer, parameter :: nGC_472 = 506
  integer, parameter :: nGC_476 = 507
  integer, parameter :: nGC_480 = 508
  integer, parameter :: nGC_526 = 509
  integer, parameter :: nGC_530 = 510
  integer, parameter :: nGC_534 = 511
  integer, parameter :: nGC_544 = 512
  integer, parameter :: nGC_556 = 513
  integer, parameter :: nGC_572 = 514
  integer, parameter :: nGC_580 = 515
  integer, parameter :: nGC_596 = 516
  integer, parameter :: nGC_612 = 517
  integer, parameter :: nGC_624 = 518
  integer, parameter :: nGC_632 = 519
  integer, parameter :: nGC_648 = 520
  integer, parameter :: nGC_826 = 521
  integer, parameter :: nGC_832 = 522
  integer, parameter :: nGC_860 = 523
  integer, parameter :: nGC_872 = 524
  integer, parameter :: nGC_1220 = 525
  integer, parameter :: nGC_1222 = 526
  integer, parameter :: nGC_1236 = 527
  integer, parameter :: nGC_1238 = 528
  integer, parameter :: nGC_1258 = 529
  integer, parameter :: nGC_1260 = 530
  integer, parameter :: nGC_3474 = 531
  integer, parameter :: nGC_3488 = 532
  integer, parameter :: nGC_3622 = 533
  integer, parameter :: nGC_3852 = 534
  integer, parameter :: nGC_3862 = 535
  integer, parameter :: nGC_9786 = 536
  integer, parameter :: nGC_9787 = 537
  integer, parameter :: nGC_9792 = 538
  integer, parameter :: nGC_9797 = 539
  integer, parameter :: nGC_9798 = 540
  integer, parameter :: nGC_9801 = 541
  integer, parameter :: nGC_9802 = 542
  integer, parameter :: nGC_9815 = 543
  integer, parameter :: nGC_9816 = 544
  integer, parameter :: nGC_9821 = 545
  integer, parameter :: nGC_9822 = 546
  integer, parameter :: nGC_9827 = 547
  integer, parameter :: nGC_9828 = 548
  integer, parameter :: nGC_9833 = 549
  integer, parameter :: nGC_9834 = 550
  integer, parameter :: nGC_9839 = 551
  integer, parameter :: nGC_9840 = 552
  integer, parameter :: nGC_9845 = 553
  integer, parameter :: nGC_9846 = 554
  integer, parameter :: nGC_9851 = 555
  integer, parameter :: nGC_9852 = 556
  integer, parameter :: nGC_9857 = 557
  integer, parameter :: nGC_9858 = 558
  integer, parameter :: nGC_9863 = 559
  integer, parameter :: nGC_9864 = 560
  integer, parameter :: nGC_9866 = 561
  integer, parameter :: nGC_9868 = 562
  integer, parameter :: nGC_9869 = 563
  integer, parameter :: nGC_9871 = 564
  integer, parameter :: nGC_9873 = 565
  integer, parameter :: nGC_9874 = 566
  integer, parameter :: nGC_9876 = 567
  integer, parameter :: nGC_9878 = 568
  integer, parameter :: nGC_9879 = 569
  integer, parameter :: nGC_9881 = 570
  integer, parameter :: nGC_9883 = 571
  integer, parameter :: nGC_9885 = 572
  integer, parameter :: nGC_9887 = 573
  integer, parameter :: nGC_9889 = 574
  integer, parameter :: nGC_9891 = 575
  integer, parameter :: nGC_9896 = 576
  integer, parameter :: nGC_9897 = 577
  integer, parameter :: nGC_9902 = 578
  integer, parameter :: nGC_9903 = 579
  integer, parameter :: nGC_9908 = 580
  integer, parameter :: nGC_9909 = 581
  integer, parameter :: nGC_9914 = 582
  integer, parameter :: nGC_9915 = 583
  integer, parameter :: nGC_9920 = 584
  integer, parameter :: nGC_9921 = 585
  integer, parameter :: nGC_9926 = 586
  integer, parameter :: nGC_9927 = 587
  integer, parameter :: nGC_9932 = 588
  integer, parameter :: nGC_9933 = 589
  integer, parameter :: nGC_9938 = 590
  integer, parameter :: nGC_9939 = 591
  integer, parameter :: nGC_9944 = 592
  integer, parameter :: nGC_9945 = 593
  integer, parameter :: nGC_9947 = 594
  integer, parameter :: nGC_9949 = 595
  integer, parameter :: nGC_9950 = 596
  integer, parameter :: nGC_9952 = 597
  integer, parameter :: nGC_9954 = 598
  integer, parameter :: nGC_9955 = 599
  integer, parameter :: nGC_9957 = 600
  integer, parameter :: nGC_9959 = 601
  integer, parameter :: nGC_9960 = 602
  integer, parameter :: nGC_9962 = 603
  integer, parameter :: nGC_9964 = 604
  integer, parameter :: nGC_9966 = 605
  integer, parameter :: nGC_9968 = 606
  integer, parameter :: nGC_9970 = 607
  integer, parameter :: nGC_9972 = 608
  integer, parameter :: nGC_9974 = 609
  integer, parameter :: nGC_9976 = 610
  integer, parameter :: nGC_9977 = 611
  integer, parameter :: nGC_9982 = 612
  integer, parameter :: nGC_9983 = 613
  integer, parameter :: nGC_9988 = 614
  integer, parameter :: nGC_9989 = 615
  integer, parameter :: nGC_9991 = 616
  integer, parameter :: nGC_9993 = 617
  integer, parameter :: nGC_9994 = 618
  integer, parameter :: nGC_9999 = 619
  integer, parameter :: nGC_10000 = 620
  integer, parameter :: nGC_10005 = 621
  integer, parameter :: nGC_10006 = 622
  integer, parameter :: nGC_10011 = 623
  integer, parameter :: nGC_10012 = 624
  integer, parameter :: nGC_10014 = 625
  integer, parameter :: nGC_10016 = 626
  integer, parameter :: nGC_10017 = 627
  integer, parameter :: nGC_10022 = 628
  integer, parameter :: nGC_10023 = 629
  integer, parameter :: nGC_10028 = 630
  integer, parameter :: nGC_10029 = 631
  integer, parameter :: nGC_10034 = 632
  integer, parameter :: nGC_10035 = 633
  integer, parameter :: nGC_10037 = 634
  integer, parameter :: nGC_10039 = 635
  integer, parameter :: nGC_10040 = 636
  integer, parameter :: nGC_10045 = 637
  integer, parameter :: nGC_10046 = 638
  integer, parameter :: nGC_10048 = 639
  integer, parameter :: nGC_10050 = 640
  integer, parameter :: nGC_10051 = 641
  integer, parameter :: nGC_10056 = 642
  integer, parameter :: nGC_10057 = 643
  integer, parameter :: nGC_10062 = 644
  integer, parameter :: nGC_10063 = 645
  integer, parameter :: nGC_10068 = 646
  integer, parameter :: nGC_10069 = 647
  integer, parameter :: nGC_10071 = 648
  integer, parameter :: nGC_10073 = 649
  integer, parameter :: nGC_10074 = 650
  integer, parameter :: nGC_10079 = 651
  integer, parameter :: nGC_10080 = 652
  integer, parameter :: nGC_10085 = 653
  integer, parameter :: nGC_10086 = 654
  integer, parameter :: nGC_10091 = 655
  integer, parameter :: nGC_10092 = 656
  integer, parameter :: nGC_10097 = 657
  integer, parameter :: nGC_10098 = 658
  integer, parameter :: nGC_10103 = 659
  integer, parameter :: nGC_10104 = 660
  integer, parameter :: nGC_10109 = 661
  integer, parameter :: nGC_10110 = 662
  integer, parameter :: nGC_10115 = 663
  integer, parameter :: nGC_10116 = 664
  integer, parameter :: nGC_10121 = 665
  integer, parameter :: nGC_10122 = 666
  integer, parameter :: nGC_10127 = 667
  integer, parameter :: nGC_10128 = 668
  integer, parameter :: nGC_10165 = 669
  integer, parameter :: nGC_10166 = 670
  integer, parameter :: nGC_10167 = 671
  integer, parameter :: nGC_10168 = 672
  integer, parameter :: nGC_10169 = 673
  integer, parameter :: nGC_10170 = 674
  integer, parameter :: nGC_10171 = 675
  integer, parameter :: nGC_10172 = 676
  integer, parameter :: nGC_10173 = 677
  integer, parameter :: nGC_10174 = 678
  integer, parameter :: nGC_10175 = 679
  integer, parameter :: nGC_10176 = 680
  integer, parameter :: nGC_10177 = 681
  integer, parameter :: nGC_10178 = 682
  integer, parameter :: nGC_10179 = 683
  integer, parameter :: nGC_10180 = 684
  integer, parameter :: nGC_10181 = 685
  integer, parameter :: nGC_10182 = 686
  integer, parameter :: nGC_10183 = 687
  integer, parameter :: nGC_10184 = 688
  integer, parameter :: nGC_10185 = 689
  integer, parameter :: nGC_10186 = 690
  integer, parameter :: nGC_10187 = 691
  integer, parameter :: nGC_10188 = 692
  integer, parameter :: nGC_10191 = 693
  integer, parameter :: nGC_10192 = 694
  integer, parameter :: nGC_10193 = 695
  integer, parameter :: nGC_10194 = 696
  integer, parameter :: nGC_10199 = 697
  integer, parameter :: nGC_10200 = 698
  integer, parameter :: nGC_10201 = 699
  integer, parameter :: nGC_10202 = 700
  integer, parameter :: nGC_10203 = 701
  integer, parameter :: nGC_10204 = 702
  integer, parameter :: nGC_10205 = 703
  integer, parameter :: nGC_10206 = 704
  integer, parameter :: nGC_10209 = 705
  integer, parameter :: nGC_10210 = 706
  integer, parameter :: nGC_10211 = 707
  integer, parameter :: nGC_10212 = 708
  integer, parameter :: nGC_10217 = 709
  integer, parameter :: nGC_10218 = 710
  integer, parameter :: nGC_10237 = 711
  integer, parameter :: nGC_10238 = 712
  integer, parameter :: nGC_10239 = 713
  integer, parameter :: nGC_10240 = 714
  integer, parameter :: nGC_10241 = 715
  integer, parameter :: nGC_10242 = 716
  integer, parameter :: nGC_10243 = 717
  integer, parameter :: nGC_10244 = 718
  integer, parameter :: nGC_10245 = 719
  integer, parameter :: nGC_10246 = 720
  integer, parameter :: nGC_10247 = 721
  integer, parameter :: nGC_10248 = 722
  integer, parameter :: nGC_10249 = 723
  integer, parameter :: nGC_10250 = 724
  integer, parameter :: nGC_10260 = 725
  integer, parameter :: nGC_10261 = 726
  integer, parameter :: nGC_10270 = 727
  integer, parameter :: nGC_10271 = 728
  integer, parameter :: nGC_10280 = 729
  integer, parameter :: nGC_10281 = 730
  integer, parameter :: nGC_10290 = 731
  integer, parameter :: nGC_10291 = 732
  integer, parameter :: nGC_10300 = 733
  integer, parameter :: nGC_10301 = 734
  integer, parameter :: nGC_10310 = 735
  integer, parameter :: nGC_10311 = 736
  integer, parameter :: nGC_10312 = 737
  integer, parameter :: nGC_10313 = 738
  integer, parameter :: nGC_10314 = 739
  integer, parameter :: nGC_10315 = 740
  integer, parameter :: nGC_10316 = 741
  integer, parameter :: nGC_10317 = 742
  integer, parameter :: nGC_10318 = 743
  integer, parameter :: nGC_10319 = 744
  integer, parameter :: nGC_10320 = 745
  integer, parameter :: nGC_10321 = 746
  integer, parameter :: nGC_10322 = 747
  integer, parameter :: nGC_10323 = 748
  integer, parameter :: nGC_10324 = 749
  integer, parameter :: nGC_10325 = 750
  integer, parameter :: nGC_10326 = 751
  integer, parameter :: nGC_10327 = 752
  integer, parameter :: nGC_10331 = 753
  integer, parameter :: nGC_10330 = 754
  integer, parameter :: nGC_10332 = 755
  integer, parameter :: nGC_10336 = 756
  integer, parameter :: nGC_10335 = 757
  integer, parameter :: nGC_10337 = 758
  integer, parameter :: nGC_10341 = 759
  integer, parameter :: nGC_10340 = 760
  integer, parameter :: nGC_10342 = 761
  integer, parameter :: nGC_10346 = 762
  integer, parameter :: nGC_10345 = 763
  integer, parameter :: nGC_10347 = 764
  integer, parameter :: nGC_10351 = 765
  integer, parameter :: nGC_10350 = 766
  integer, parameter :: nGC_10352 = 767
  integer, parameter :: nGC_10356 = 768
  integer, parameter :: nGC_10355 = 769
  integer, parameter :: nGC_10357 = 770
  integer, parameter :: nGC_10360 = 771
  integer, parameter :: nGC_10361 = 772
  integer, parameter :: nGC_10362 = 773
  integer, parameter :: nGC_10363 = 774
  integer, parameter :: nGC_10366 = 775
  integer, parameter :: nGC_10367 = 776
  integer, parameter :: nGC_10368 = 777
  integer, parameter :: nGC_10369 = 778
  integer, parameter :: nGC_10372 = 779
  integer, parameter :: nGC_10373 = 780
  integer, parameter :: nGC_10374 = 781
  integer, parameter :: nGC_10375 = 782
  integer, parameter :: nGC_10378 = 783
  integer, parameter :: nGC_10379 = 784
  integer, parameter :: nGC_10380 = 785
  integer, parameter :: nGC_10381 = 786
  integer, parameter :: nGC_10384 = 787
  integer, parameter :: nGC_10385 = 788
  integer, parameter :: nGC_10386 = 789
  integer, parameter :: nGC_10387 = 790
  integer, parameter :: nGC_10390 = 791
  integer, parameter :: nGC_10391 = 792
  integer, parameter :: nGC_10392 = 793
  integer, parameter :: nGC_10393 = 794
  integer, parameter :: nGC_10394 = 795
  integer, parameter :: nGC_10395 = 796
  integer, parameter :: nGC_6348 = 797
  integer, parameter :: nGC_6349 = 798
  integer, parameter :: nGC_6350 = 799
  integer, parameter :: nGC_6351 = 800
  integer, parameter :: nGC_6352 = 801
  integer, parameter :: nGC_6353 = 802
  integer, parameter :: nGC_6354 = 803
  integer, parameter :: nGC_6355 = 804
  integer, parameter :: nGC_6356 = 805
  integer, parameter :: nGC_6357 = 806
  integer, parameter :: nGC_6358 = 807
  integer, parameter :: nGC_6359 = 808
  integer, parameter :: nGC_6360 = 809
  integer, parameter :: nGC_6361 = 810
  integer, parameter :: nGC_6362 = 811
  integer, parameter :: nGC_6363 = 812
  integer, parameter :: nGC_6364 = 813
  integer, parameter :: nGC_6365 = 814
  integer, parameter :: nGC_6366 = 815
  integer, parameter :: nGC_6367 = 816
  integer, parameter :: nGC_6368 = 817
  integer, parameter :: nGC_6369 = 818
  integer, parameter :: nGC_6370 = 819
  integer, parameter :: nGC_6371 = 820
  integer, parameter :: nGC_6372 = 821
  integer, parameter :: nGC_6373 = 822
  integer, parameter :: nGC_6374 = 823
  integer, parameter :: nGC_6375 = 824
  integer, parameter :: nGC_6376 = 825
  integer, parameter :: nGC_6377 = 826
  integer, parameter :: nGC_6378 = 827
  integer, parameter :: nGC_6379 = 828
  integer, parameter :: nGC_6380 = 829
  integer, parameter :: nGC_6381 = 830
  integer, parameter :: nGC_6382 = 831
  integer, parameter :: nGC_6383 = 832
  integer, parameter :: nGC_6384 = 833
  integer, parameter :: nGC_6385 = 834
  integer, parameter :: nGC_6386 = 835
  integer, parameter :: nGC_6387 = 836
  integer, parameter :: nGC_6388 = 837
  integer, parameter :: nGC_6389 = 838
  integer, parameter :: nGC_6390 = 839
  integer, parameter :: nGC_6391 = 840
  integer, parameter :: nGC_6392 = 841
  integer, parameter :: nGC_6393 = 842
  integer, parameter :: nGC_6394 = 843
  integer, parameter :: nGC_6395 = 844
  integer, parameter :: nGC_6396 = 845
  integer, parameter :: nGC_6397 = 846
  integer, parameter :: nGC_6398 = 847
  integer, parameter :: nGC_6399 = 848
  integer, parameter :: nGC_6400 = 849
  integer, parameter :: nGC_6401 = 850
  integer, parameter :: nGC_6402 = 851
  integer, parameter :: nGC_6403 = 852
  integer, parameter :: nGC_6404 = 853
  integer, parameter :: nGC_6405 = 854
  integer, parameter :: nGC_6406 = 855
  integer, parameter :: nGC_6407 = 856
  integer, parameter :: nGC_6408 = 857
  integer, parameter :: nGC_6409 = 858
  integer, parameter :: nGC_6410 = 859
  integer, parameter :: nGC_6411 = 860
  integer, parameter :: nGC_6412 = 861
  integer, parameter :: nGC_6413 = 862
  integer, parameter :: nGC_6414 = 863
  integer, parameter :: nGC_6415 = 864
  integer, parameter :: nGC_6416 = 865
  integer, parameter :: nGC_6417 = 866
  integer, parameter :: nGC_6418 = 867
  integer, parameter :: nGC_6419 = 868
  integer, parameter :: nGC_6420 = 869
  integer, parameter :: nGC_6421 = 870
  integer, parameter :: nGC_6422 = 871
  integer, parameter :: nGC_6423 = 872
  integer, parameter :: nGC_6424 = 873
  integer, parameter :: nGC_6425 = 874
  integer, parameter :: nGC_6426 = 875
  integer, parameter :: nGC_6427 = 876
  integer, parameter :: nGC_6428 = 877
  integer, parameter :: nGC_6429 = 878
  integer, parameter :: nGC_6430 = 879
  integer, parameter :: nGC_6431 = 880
  integer, parameter :: nGC_6432 = 881
  integer, parameter :: nGC_6433 = 882
  integer, parameter :: nGC_6434 = 883
  integer, parameter :: nGC_6435 = 884
  integer, parameter :: nGC_6436 = 885
  integer, parameter :: nGC_6437 = 886
  integer, parameter :: nGC_6438 = 887
  integer, parameter :: nGC_6439 = 888
  integer, parameter :: nGC_6440 = 889
  integer, parameter :: nGC_6441 = 890
  integer, parameter :: nGC_6442 = 891
  integer, parameter :: nGC_6443 = 892
  integer, parameter :: nGC_6444 = 893
  integer, parameter :: nGC_6445 = 894
  integer, parameter :: nGC_6446 = 895
  integer, parameter :: nGC_6447 = 896
  integer, parameter :: nGC_6448 = 897
  integer, parameter :: nGC_6449 = 898
  integer, parameter :: nGC_6450 = 899
  integer, parameter :: nGC_6451 = 900
  integer, parameter :: nGC_6452 = 901
  integer, parameter :: nGC_6453 = 902
  integer, parameter :: nGC_6454 = 903
  integer, parameter :: nGC_6455 = 904
  integer, parameter :: nGC_6456 = 905
  integer, parameter :: nGC_6457 = 906
  integer, parameter :: nGC_6458 = 907
  integer, parameter :: nGC_6459 = 908
  integer, parameter :: nGC_6460 = 909
  integer, parameter :: nGC_6461 = 910
  integer, parameter :: nGC_6462 = 911
  integer, parameter :: nGC_6463 = 912
  integer, parameter :: nGC_6464 = 913
  integer, parameter :: nGC_6465 = 914
  integer, parameter :: nGC_6466 = 915
  integer, parameter :: nGC_6467 = 916
  integer, parameter :: nGC_6468 = 917
  integer, parameter :: nGC_6469 = 918
  integer, parameter :: nGC_6470 = 919
  integer, parameter :: nGC_6471 = 920
  integer, parameter :: nGC_6472 = 921
  integer, parameter :: nGC_6473 = 922
  integer, parameter :: nGC_6474 = 923
  integer, parameter :: nGC_6475 = 924
  integer, parameter :: nGC_6476 = 925
  integer, parameter :: nGC_6477 = 926
  integer, parameter :: nGC_6478 = 927
  integer, parameter :: nGC_6479 = 928
  integer, parameter :: nGC_6480 = 929
  integer, parameter :: nGC_6481 = 930
  integer, parameter :: nGC_6482 = 931
  integer, parameter :: nGC_6483 = 932
  integer, parameter :: nGC_6484 = 933
  integer, parameter :: nGC_6485 = 934
  integer, parameter :: nGC_6486 = 935
  integer, parameter :: nGC_6487 = 936
  integer, parameter :: nGC_6488 = 937
  integer, parameter :: nGC_6489 = 938
  integer, parameter :: nGC_6490 = 939
  integer, parameter :: nGC_6491 = 940
  integer, parameter :: nGC_6492 = 941
  integer, parameter :: nGC_6493 = 942
  integer, parameter :: nGC_6494 = 943
  integer, parameter :: nGC_6495 = 944
  integer, parameter :: nGC_6496 = 945
  integer, parameter :: nGC_6497 = 946
  integer, parameter :: nGC_6498 = 947
  integer, parameter :: nGC_6499 = 948
  integer, parameter :: nGC_6500 = 949
  integer, parameter :: nGC_6501 = 950
  integer, parameter :: nGC_6502 = 951
  integer, parameter :: nGC_6503 = 952
  integer, parameter :: nGC_6504 = 953
  integer, parameter :: nGC_6505 = 954
  integer, parameter :: nGC_6506 = 955
  integer, parameter :: nGC_6507 = 956
  integer, parameter :: nGC_6508 = 957
  integer, parameter :: nGC_6509 = 958
  integer, parameter :: nGC_6510 = 959
  integer, parameter :: nGC_6511 = 960
  integer, parameter :: nGC_6512 = 961
  integer, parameter :: nGC_6513 = 962
  integer, parameter :: nGC_6514 = 963
  integer, parameter :: nGC_6515 = 964
  integer, parameter :: nGC_6516 = 965
  integer, parameter :: nGC_6517 = 966
  integer, parameter :: nGC_6518 = 967
  integer, parameter :: nGC_6519 = 968
  integer, parameter :: nGC_6520 = 969
  integer, parameter :: nGC_6521 = 970
  integer, parameter :: nGC_6522 = 971
  integer, parameter :: nGC_6523 = 972
  integer, parameter :: nGC_6524 = 973
  integer, parameter :: nGC_6525 = 974
  integer, parameter :: nGC_6526 = 975
  integer, parameter :: nGC_6527 = 976
  integer, parameter :: nGC_6528 = 977
  integer, parameter :: nGC_6529 = 978
  integer, parameter :: nGC_6530 = 979
  integer, parameter :: nGC_6531 = 980
  integer, parameter :: nGC_6532 = 981
  integer, parameter :: nGC_288 = 982
  integer, parameter :: nGC_6891 = 983
  integer, parameter :: nGC_10253 = 984
  integer, parameter :: nGC_10254 = 985
  integer, parameter :: nGC_10255 = 986
  integer, parameter :: nGC_10264 = 987
  integer, parameter :: nGC_10265 = 988
  integer, parameter :: nGC_10274 = 989
  integer, parameter :: nGC_10275 = 990
  integer, parameter :: nGC_10284 = 991
  integer, parameter :: nGC_10285 = 992
  integer, parameter :: nGC_10294 = 993
  integer, parameter :: nGC_10295 = 994
  integer, parameter :: nGC_10304 = 995
  integer, parameter :: nGC_10305 = 996
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
