!******************************************************************************!
!                                                                              !
!    class_ctparameters.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_ctparameters.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_ctparameters
  use constants_mdl, only: dp
  implicit none
  logical :: complex_mass_scheme=.true.
  complex(dp) :: dZg_QCD2
  integer :: dZg_QCD2_scheme = 0
  complex(dp) :: dZuR_QCD2
  integer :: dZuR_QCD2_scheme = 0
  complex(dp) :: dZuL_QCD2
  integer :: dZuL_QCD2_scheme = 0
  complex(dp) :: dMU_QCD2
  integer :: dMU_QCD2_scheme = 0
  complex(dp) :: dZdR_QCD2
  integer :: dZdR_QCD2_scheme = 0
  complex(dp) :: dMD_QCD2
  integer :: dMD_QCD2_scheme = 0
  complex(dp) :: dZdL_QCD2
  integer :: dZdL_QCD2_scheme = 0
  complex(dp) :: dZcL_QCD2
  integer :: dZcL_QCD2_scheme = 0
  complex(dp) :: dZcR_QCD2
  integer :: dZcR_QCD2_scheme = 0
  complex(dp) :: dMC_QCD2
  integer :: dMC_QCD2_scheme = 0
  complex(dp) :: dZsR_QCD2
  integer :: dZsR_QCD2_scheme = 0
  complex(dp) :: dMS_QCD2
  integer :: dMS_QCD2_scheme = 0
  complex(dp) :: dZsL_QCD2
  integer :: dZsL_QCD2_scheme = 0
  complex(dp) :: dMB_QCD2
  integer :: dMB_QCD2_scheme = 0
  complex(dp) :: dZbR_QCD2
  integer :: dZbR_QCD2_scheme = 0
  complex(dp) :: dZbL_QCD2
  integer :: dZbL_QCD2_scheme = 0
  complex(dp) :: dZtR_QCD2
  integer :: dZtR_QCD2_scheme = 0
  complex(dp) :: dZtL_QCD2
  integer :: dZtL_QCD2_scheme = 0
  complex(dp) :: dMT_QCD2
  integer :: dMT_QCD2_scheme = 0
  complex(dp) :: dZgs_QCD2
  integer :: dZgs_QCD2_scheme = 1
! Derived counterterm parameters
  complex(dp) :: dI4a11_QCD2_QED1
  complex(dp) :: dI4a12_QCD2_QED1
  complex(dp) :: dydo_QCD2_QED1
  complex(dp) :: dI1a11_QCD2_QED1
  complex(dp) :: dyup_QCD2_QED1
  complex(dp) :: dI2a21_QCD2_QED1
  complex(dp) :: dI3a11_QCD2_QED1
  complex(dp) :: dyb_QCD2_QED1
  complex(dp) :: dI3a23_QCD2_QED1
  complex(dp) :: dI2a31_QCD2_QED1
  complex(dp) :: dI2a13_QCD2_QED1
  complex(dp) :: dI4a31_QCD2_QED1
  complex(dp) :: dI2a23_QCD2_QED1
  complex(dp) :: dI4a33_QCD2_QED1
  complex(dp) :: dI2a22_QCD2_QED1
  complex(dp) :: dI4a22_QCD2_QED1
  complex(dp) :: dys_QCD2_QED1
  complex(dp) :: dI1a33_QCD2_QED1
  complex(dp) :: dI2a11_QCD2_QED1
  complex(dp) :: dI4a23_QCD2_QED1
  complex(dp) :: dI3a22_QCD2_QED1
  complex(dp) :: dI1a31_QCD2_QED1
  complex(dp) :: dI1a13_QCD2_QED1
  complex(dp) :: dI1a22_QCD2_QED1
  complex(dp) :: dI4a32_QCD2_QED1
  complex(dp) :: dI4a13_QCD2_QED1
  complex(dp) :: dI1a12_QCD2_QED1
  complex(dp) :: dI4a21_QCD2_QED1
  complex(dp) :: dI3a32_QCD2_QED1
  complex(dp) :: dI3a33_QCD2_QED1
  complex(dp) :: dI1a21_QCD2_QED1
  complex(dp) :: dyc_QCD2_QED1
  complex(dp) :: dI2a12_QCD2_QED1
  complex(dp) :: dI3a21_QCD2_QED1
  complex(dp) :: dI3a31_QCD2_QED1
  complex(dp) :: dI2a33_QCD2_QED1
  complex(dp) :: dI1a23_QCD2_QED1
  complex(dp) :: dI1a32_QCD2_QED1
  complex(dp) :: dI3a13_QCD2_QED1
  complex(dp) :: dI3a12_QCD2_QED1
  complex(dp) :: dI2a32_QCD2_QED1
  complex(dp) :: dyt_QCD2_QED1
  contains
  subroutine set_complex_mass_scheme_mdl

    ! This subroutine (re-)enables the complex mass scheme (hep-ph/0505042)

    complex_mass_scheme = .true.

  end subroutine set_complex_mass_scheme_mdl

  subroutine set_on_shell_scheme_mdl

    ! This subroutine disables the complex mass scheme

    complex_mass_scheme = .false.

  end subroutine set_on_shell_scheme_mdl
end module class_ctparameters
