!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_51) = -3d0*cima*lam/2d0
    coupl(nGC_49) = -cima*lam/2d0
    coupl(nGC_50) = -cima*lam
    coupl(nGC_245) = -cima*lam*vev/2d0
    coupl(nGC_246) = -3d0*cima*lam*vev/2d0
    coupl(nGC_6) = 2d0*cima*ee**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_3) = -cima*ee
    coupl(nGC_52) = cMW*cima*ee
    coupl(nGC_212) = -cMW*ee/(2d0*sw)
    coupl(nGC_213) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_153) = cima*cw*ee/sw
    coupl(nGC_240) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_152) = -cima*cw*ee/sw
    coupl(nGC_214) = cMW*ee/(2d0*sw)
    coupl(nGC_233) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_241) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
    coupl(nGC_10) = -gs
    coupl(nGC_6550) = -gs
    coupl(nGC_12) = cima*gs**2d0
    coupl(nGC_6552) = 2d0*cima*gs**2d0
    coupl(nGC_22) = I2a11*cima
    coupl(nGC_13) = -I1a11*cima
    coupl(nGC_23) = I2a12*cima
    coupl(nGC_14) = -I1a12*cima
    coupl(nGC_24) = I2a13*cima
    coupl(nGC_15) = -I1a13*cima
    coupl(nGC_25) = I2a21*cima
    coupl(nGC_16) = -I1a21*cima
    coupl(nGC_26) = I2a22*cima
    coupl(nGC_17) = -I1a22*cima
    coupl(nGC_27) = I2a23*cima
    coupl(nGC_18) = -I1a23*cima
    coupl(nGC_28) = I2a31*cima
    coupl(nGC_19) = -I1a31*cima
    coupl(nGC_29) = I2a32*cima
    coupl(nGC_20) = -I1a32*cima
    coupl(nGC_30) = I2a33*cima
    coupl(nGC_21) = -I1a33*cima
    coupl(nGC_254) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_6572) = -sqrt(2d0)/2d0
    coupl(nGC_262) = -sqrt(2d0)*ys/2d0
    coupl(nGC_6574) = -sqrt(2d0)/2d0
    coupl(nGC_250) = -sqrt(2d0)*yb/2d0
    coupl(nGC_6576) = -sqrt(2d0)/2d0
    coupl(nGC_255) = -sqrt(2d0)*cima*ydo/2d0
    coupl(nGC_6578) = -sqrt(2d0)*cima/2d0
    coupl(nGC_263) = -sqrt(2d0)*cima*ys/2d0
    coupl(nGC_6580) = -sqrt(2d0)*cima/2d0
    coupl(nGC_251) = -sqrt(2d0)*cima*yb/2d0
    coupl(nGC_6582) = -sqrt(2d0)*cima/2d0
    coupl(nGC_256) = -cima*ye
    coupl(nGC_259) = -cima*ym
    coupl(nGC_266) = -cima*ytau
    coupl(nGC_257) = -sqrt(2d0)*ye/2d0
    coupl(nGC_260) = -sqrt(2d0)*ym/2d0
    coupl(nGC_267) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_258) = -sqrt(2d0)*cima*ye/2d0
    coupl(nGC_261) = -sqrt(2d0)*cima*ym/2d0
    coupl(nGC_268) = -sqrt(2d0)*cima*ytau/2d0
    coupl(nGC_40) = -I4a11*cima
    coupl(nGC_31) = I3a11*cima
    coupl(nGC_41) = -I4a12*cima
    coupl(nGC_32) = I3a12*cima
    coupl(nGC_42) = -I4a13*cima
    coupl(nGC_33) = I3a13*cima
    coupl(nGC_43) = -I4a21*cima
    coupl(nGC_34) = I3a21*cima
    coupl(nGC_44) = -I4a22*cima
    coupl(nGC_35) = I3a22*cima
    coupl(nGC_45) = -I4a23*cima
    coupl(nGC_36) = I3a23*cima
    coupl(nGC_46) = -I4a31*cima
    coupl(nGC_37) = I3a31*cima
    coupl(nGC_47) = -I4a32*cima
    coupl(nGC_38) = I3a32*cima
    coupl(nGC_48) = -I4a33*cima
    coupl(nGC_39) = I3a33*cima
    coupl(nGC_270) = sqrt(2d0)*yup/2d0
    coupl(nGC_6611) = sqrt(2d0)/2d0
    coupl(nGC_253) = sqrt(2d0)*yc/2d0
    coupl(nGC_6613) = sqrt(2d0)/2d0
    coupl(nGC_265) = sqrt(2d0)*yt/2d0
    coupl(nGC_6615) = sqrt(2d0)/2d0
    coupl(nGC_269) = -sqrt(2d0)*cima*yup/2d0
    coupl(nGC_6617) = -sqrt(2d0)*cima/2d0
    coupl(nGC_252) = -sqrt(2d0)*cima*yc/2d0
    coupl(nGC_6619) = -sqrt(2d0)*cima/2d0
    coupl(nGC_264) = -sqrt(2d0)*cima*yt/2d0
    coupl(nGC_6621) = -sqrt(2d0)*cima/2d0
    coupl(nGC_90) = -CZdL3x3*cMB*ee*kG*kZL/(cMZp*cw*sw) + CZdR3x3*cMB*ee*kG*kZR&
                    /(cMZp*cw*sw)
    coupl(nGC_6623) = -ee*kG*(CZdL3x3*kZL - CZdR3x3*kZR)/(cMZp*cw*sw)
    coupl(nGC_96) = -CZdL1x3*cMB*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZdL3x1*cMB*ee*kG&
                    *kZL/(2d0*cMZp*cw*sw) + CZdR1x3*cMD*ee*kG*kZR/(2d0*cMZp*cw*&
                    sw) + CZdR3x1*cMD*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_93) = CZdL1x3*cMD*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZdL3x1*cMD*ee*kG*&
                    kZL/(2d0*cMZp*cw*sw) - CZdR1x3*cMB*ee*kG*kZR/(2d0*cMZp*cw* &
                    sw) - CZdR3x1*cMB*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6625) = -ee*kG*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6626) = ee*kG*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6628) = -ee*kG*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6629) = ee*kG*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_110) = -CZdL2x3*cMB*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZdL3x2*cMB*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZdR2x3*cMS*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZdR3x2*cMS*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_105) = CZdL2x3*cMS*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZdL3x2*cMS*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZdR2x3*cMB*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZdR3x2*cMB*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6631) = -ee*kG*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6632) = ee*kG*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6634) = -ee*kG*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6635) = ee*kG*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_91) = -CZuL2x2*cMC*ee*kG*kZL/(cMZp*cw*sw) + CZuR2x2*cMC*ee*kG*kZR&
                    /(cMZp*cw*sw)
    coupl(nGC_6637) = -ee*kG*(CZuL2x2*kZL - CZuR2x2*kZR)/(cMZp*cw*sw)
    coupl(nGC_114) = -CZuL2x3*cMC*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZuL3x2*cMC*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZuR2x3*cMT*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZuR3x2*cMT*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_112) = CZuL2x3*cMT*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZuL3x2*cMT*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZuR2x3*cMC*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZuR3x2*cMC*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6639) = ee*kG*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6640) = -ee*kG*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6642) = ee*kG*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6643) = -ee*kG*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_131) = -CZuL1x2*cMC*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZuL2x1*cMC*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZuR1x2*cMU*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZuR2x1*cMU*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_126) = CZuL1x2*cMU*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZuL2x1*cMU*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZuR1x2*cMC*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZuR2x1*cMC*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6645) = -ee*kG*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6646) = ee*kG*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6648) = -ee*kG*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6649) = ee*kG*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_92) = -CZdL1x3*cMD*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZdL3x1*cMD*ee*kG&
                    *kZL/(2d0*cMZp*cw*sw) + CZdR1x3*cMB*ee*kG*kZR/(2d0*cMZp*cw*&
                    sw) + CZdR3x1*cMB*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_95) = CZdL1x3*cMB*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZdL3x1*cMB*ee*kG*&
                    kZL/(2d0*cMZp*cw*sw) - CZdR1x3*cMD*ee*kG*kZR/(2d0*cMZp*cw* &
                    sw) - CZdR3x1*cMD*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6651) = ee*kG*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6652) = -ee*kG*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6654) = ee*kG*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6655) = -ee*kG*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_94) = -CZdL1x1*cMD*ee*kG*kZL/(cMZp*cw*sw) + CZdR1x1*cMD*ee*kG*kZR&
                    /(cMZp*cw*sw)
    coupl(nGC_6657) = -ee*kG*(CZdL1x1*kZL - CZdR1x1*kZR)/(cMZp*cw*sw)
    coupl(nGC_107) = -CZdL1x2*cMD*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZdL2x1*cMD*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZdR1x2*cMS*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZdR2x1*cMS*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_103) = CZdL1x2*cMS*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZdL2x1*cMS*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZdR1x2*cMD*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZdR2x1*cMD*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6659) = ee*kG*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6660) = -ee*kG*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6662) = ee*kG*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6663) = -ee*kG*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_89) = -CZlL1x1*cME*ee*kG*kZL/(cMZp*cw*sw) + CZlR1x1*cME*ee*kG*kZR&
                    /(cMZp*cw*sw)
    coupl(nGC_100) = -CZlL1x2*cME*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZlL2x1*cME*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZlR1x2*cMM*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZlR2x1*cMM*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_98) = CZlL1x2*cMM*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZlL2x1*cMM*ee*kG*&
                    kZL/(2d0*cMZp*cw*sw) - CZlR1x2*cME*ee*kG*kZR/(2d0*cMZp*cw* &
                    sw) - CZlR2x1*cME*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_121) = -CZlL1x3*cME*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZlL3x1*cME*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZlR1x3*cMTA*ee*kG*kZR/(2d0*cMZp&
                     *cw*sw) + CZlR3x1*cMTA*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_117) = CZlL1x3*cMTA*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZlL3x1*cMTA*ee*&
                     kG*kZL/(2d0*cMZp*cw*sw) - CZlR1x3*cME*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) - CZlR3x1*cME*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_97) = -CZlL1x2*cMM*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZlL2x1*cMM*ee*kG&
                    *kZL/(2d0*cMZp*cw*sw) + CZlR1x2*cME*ee*kG*kZR/(2d0*cMZp*cw*&
                    sw) + CZlR2x1*cME*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_99) = CZlL1x2*cME*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZlL2x1*cME*ee*kG*&
                    kZL/(2d0*cMZp*cw*sw) - CZlR1x2*cMM*ee*kG*kZR/(2d0*cMZp*cw* &
                    sw) - CZlR2x1*cMM*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_101) = -CZlL2x2*cMM*ee*kG*kZL/(cMZp*cw*sw) + CZlR2x2*cMM*ee*kG*  &
                     kZR/(cMZp*cw*sw)
    coupl(nGC_123) = -CZlL2x3*cMM*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZlL3x2*cMM*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZlR2x3*cMTA*ee*kG*kZR/(2d0*cMZp&
                     *cw*sw) + CZlR3x2*cMTA*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_119) = CZlL2x3*cMTA*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZlL3x2*cMTA*ee*&
                     kG*kZL/(2d0*cMZp*cw*sw) - CZlR2x3*cMM*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) - CZlR3x2*cMM*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_104) = -CZdL2x3*cMS*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZdL3x2*cMS*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZdR2x3*cMB*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZdR3x2*cMB*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_109) = CZdL2x3*cMB*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZdL3x2*cMB*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZdR2x3*cMS*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZdR3x2*cMS*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6675) = ee*kG*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6676) = -ee*kG*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6678) = ee*kG*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6679) = -ee*kG*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_102) = -CZdL1x2*cMS*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZdL2x1*cMS*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZdR1x2*cMD*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZdR2x1*cMD*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_106) = CZdL1x2*cMD*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZdL2x1*cMD*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZdR1x2*cMS*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZdR2x1*cMS*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6681) = -ee*kG*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6682) = ee*kG*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6684) = -ee*kG*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6685) = ee*kG*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_108) = -CZdL2x2*cMS*ee*kG*kZL/(cMZp*cw*sw) + CZdR2x2*cMS*ee*kG*  &
                     kZR/(cMZp*cw*sw)
    coupl(nGC_6687) = -ee*kG*(CZdL2x2*kZL - CZdR2x2*kZR)/(cMZp*cw*sw)
    coupl(nGC_116) = -CZlL1x3*cMTA*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZlL3x1*cMTA*ee&
                     *kG*kZL/(2d0*cMZp*cw*sw) + CZlR1x3*cME*ee*kG*kZR/(2d0*cMZp&
                     *cw*sw) + CZlR3x1*cME*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_120) = CZlL1x3*cME*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZlL3x1*cME*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZlR1x3*cMTA*ee*kG*kZR/(2d0*cMZp* &
                     cw*sw) - CZlR3x1*cMTA*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_118) = -CZlL2x3*cMTA*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZlL3x2*cMTA*ee&
                     *kG*kZL/(2d0*cMZp*cw*sw) + CZlR2x3*cMM*ee*kG*kZR/(2d0*cMZp&
                     *cw*sw) + CZlR3x2*cMM*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_122) = CZlL2x3*cMM*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZlL3x2*cMM*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZlR2x3*cMTA*ee*kG*kZR/(2d0*cMZp* &
                     cw*sw) - CZlR3x2*cMTA*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_124) = -CZlL3x3*cMTA*ee*kG*kZL/(cMZp*cw*sw) + CZlR3x3*cMTA*ee*kG*&
                     kZR/(cMZp*cw*sw)
    coupl(nGC_111) = -CZuL2x3*cMT*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZuL3x2*cMT*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZuR2x3*cMC*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZuR3x2*cMC*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_113) = CZuL2x3*cMC*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZuL3x2*cMC*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZuR2x3*cMT*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZuR3x2*cMT*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6694) = -ee*kG*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6695) = ee*kG*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6697) = -ee*kG*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_6698) = ee*kG*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cMZp*cw*sw)
    coupl(nGC_115) = -CZuL3x3*cMT*ee*kG*kZL/(cMZp*cw*sw) + CZuR3x3*cMT*ee*kG*  &
                     kZR/(cMZp*cw*sw)
    coupl(nGC_6700) = -ee*kG*(CZuL3x3*kZL - CZuR3x3*kZR)/(cMZp*cw*sw)
    coupl(nGC_133) = -CZuL1x3*cMT*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZuL3x1*cMT*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZuR1x3*cMU*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZuR3x1*cMU*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_128) = CZuL1x3*cMU*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZuL3x1*cMU*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZuR1x3*cMT*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZuR3x1*cMT*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6702) = -ee*kG*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6703) = ee*kG*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6705) = -ee*kG*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6706) = ee*kG*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_125) = -CZuL1x2*cMU*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZuL2x1*cMU*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZuR1x2*cMC*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZuR2x1*cMC*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_130) = CZuL1x2*cMC*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZuL2x1*cMC*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZuR1x2*cMU*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZuR2x1*cMU*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6708) = ee*kG*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6709) = -ee*kG*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6711) = ee*kG*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6712) = -ee*kG*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_127) = -CZuL1x3*cMU*ee*kG*kZL/(2d0*cMZp*cw*sw) - CZuL3x1*cMU*ee* &
                     kG*kZL/(2d0*cMZp*cw*sw) + CZuR1x3*cMT*ee*kG*kZR/(2d0*cMZp*&
                     cw*sw) + CZuR3x1*cMT*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_132) = CZuL1x3*cMT*ee*kG*kZL/(2d0*cMZp*cw*sw) + CZuL3x1*cMT*ee*kG&
                     *kZL/(2d0*cMZp*cw*sw) - CZuR1x3*cMU*ee*kG*kZR/(2d0*cMZp*cw&
                     *sw) - CZuR3x1*cMU*ee*kG*kZR/(2d0*cMZp*cw*sw)
    coupl(nGC_6714) = ee*kG*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6715) = -ee*kG*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6717) = ee*kG*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_6718) = -ee*kG*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cMZp*cw*sw)
    coupl(nGC_129) = -CZuL1x1*cMU*ee*kG*kZL/(cMZp*cw*sw) + CZuR1x1*cMU*ee*kG*  &
                     kZR/(cMZp*cw*sw)
    coupl(nGC_6720) = -ee*kG*(CZuL1x1*kZL - CZuR1x1*kZR)/(cMZp*cw*sw)
    coupl(nGC_71) = sqrt(2d0)*CWqL2x3*cMC*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR2x3*cMB*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_72) = -sqrt(2d0)*CWqL2x3*cMB*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR2x3*cMC*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6722) = -sqrt(2d0)*CWqR2x3*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6723) = sqrt(2d0)*CWqL2x3*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6725) = -sqrt(2d0)*CWqL2x3*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6726) = sqrt(2d0)*CWqR2x3*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_74) = sqrt(2d0)*CWqL2x1*cMC*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR2x1*cMD*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_73) = -sqrt(2d0)*CWqL2x1*cMD*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR2x1*cMC*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6728) = sqrt(2d0)*CWqL2x1*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6729) = -sqrt(2d0)*CWqR2x1*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6731) = sqrt(2d0)*CWqR2x1*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6732) = -sqrt(2d0)*CWqL2x1*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_76) = sqrt(2d0)*CWqL2x2*cMC*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR2x2*cMS*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_75) = -sqrt(2d0)*CWqL2x2*cMS*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR2x2*cMC*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6734) = sqrt(2d0)*CWqL2x2*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6735) = -sqrt(2d0)*CWqR2x2*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6737) = sqrt(2d0)*CWqR2x2*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6738) = -sqrt(2d0)*CWqL2x2*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_79) = sqrt(2d0)*CWqL3x3*cMT*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR3x3*cMB*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_82) = -sqrt(2d0)*CWqL3x3*cMB*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR3x3*cMT*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6740) = sqrt(2d0)*CWqL3x3*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6741) = -sqrt(2d0)*CWqR3x3*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6743) = sqrt(2d0)*CWqR3x3*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6744) = -sqrt(2d0)*CWqL3x3*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_77) = sqrt(2d0)*CWqL3x1*cMT*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR3x1*cMD*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_80) = -sqrt(2d0)*CWqL3x1*cMD*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR3x1*cMT*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6746) = sqrt(2d0)*CWqL3x1*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6747) = -sqrt(2d0)*CWqR3x1*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6749) = sqrt(2d0)*CWqR3x1*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6750) = -sqrt(2d0)*CWqL3x1*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_78) = sqrt(2d0)*CWqL3x2*cMT*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR3x2*cMS*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_81) = -sqrt(2d0)*CWqL3x2*cMS*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR3x2*cMT*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6752) = sqrt(2d0)*CWqL3x2*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6753) = -sqrt(2d0)*CWqR3x2*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6755) = sqrt(2d0)*CWqR3x2*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6756) = -sqrt(2d0)*CWqL3x2*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_85) = sqrt(2d0)*CWqL1x3*cMU*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR1x3*cMB*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_88) = -sqrt(2d0)*CWqL1x3*cMB*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR1x3*cMU*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6758) = -sqrt(2d0)*CWqR1x3*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6759) = sqrt(2d0)*CWqL1x3*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6761) = -sqrt(2d0)*CWqL1x3*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6762) = sqrt(2d0)*CWqR1x3*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_83) = sqrt(2d0)*CWqL1x1*cMU*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR1x1*cMD*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_86) = -sqrt(2d0)*CWqL1x1*cMD*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR1x1*cMU*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6764) = sqrt(2d0)*CWqL1x1*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6765) = -sqrt(2d0)*CWqR1x1*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6767) = sqrt(2d0)*CWqR1x1*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6768) = -sqrt(2d0)*CWqL1x1*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_84) = sqrt(2d0)*CWqL1x2*cMU*cima*ee*kG*kWL/(2d0*cMWp*sw) - sqrt( &
                    2d0)*CWqR1x2*cMS*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_87) = -sqrt(2d0)*CWqL1x2*cMS*cima*ee*kG*kWL/(2d0*cMWp*sw) + sqrt(&
                    2d0)*CWqR1x2*cMU*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6770) = -sqrt(2d0)*CWqR1x2*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_6771) = sqrt(2d0)*CWqL1x2*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6773) = -sqrt(2d0)*CWqL1x2*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_6774) = sqrt(2d0)*CWqR1x2*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_218) = -sqrt(2d0)*CWlR1x1*cME*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_215) = -sqrt(2d0)*CWlL1x1*cME*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_224) = -sqrt(2d0)*CWlR1x2*cMM*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_221) = -sqrt(2d0)*CWlL1x2*cMM*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_230) = -sqrt(2d0)*CWlR1x3*cMTA*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_227) = -sqrt(2d0)*CWlL1x3*cMTA*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_219) = -sqrt(2d0)*CWlR2x1*cME*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_216) = -sqrt(2d0)*CWlL2x1*cME*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_225) = -sqrt(2d0)*CWlR2x2*cMM*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_222) = -sqrt(2d0)*CWlL2x2*cMM*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_231) = -sqrt(2d0)*CWlR2x3*cMTA*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_228) = -sqrt(2d0)*CWlL2x3*cMTA*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_220) = -sqrt(2d0)*CWlR3x1*cME*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_217) = -sqrt(2d0)*CWlL3x1*cME*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_226) = -sqrt(2d0)*CWlR3x2*cMM*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_223) = -sqrt(2d0)*CWlL3x2*cMM*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_232) = -sqrt(2d0)*CWlR3x3*cMTA*cima*ee*kG*kWR/(2d0*cMWp*sw)
    coupl(nGC_229) = -sqrt(2d0)*CWlL3x3*cMTA*cima*ee*kG*kWL/(2d0*cMWp*sw)
    coupl(nGC_156) = ee**2d0/(2d0*sw)
    coupl(nGC_155) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_248) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_139) = ee/(2d0*sw)
    coupl(nGC_138) = cima*ee/(2d0*sw)
    coupl(nGC_154) = -ee**2d0/(2d0*sw)
    coupl(nGC_137) = -cima*ee/(2d0*sw)
    coupl(nGC_134) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_247) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_135) = -cima*ee**2d0/sw**2d0
    coupl(nGC_239) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_236) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
    coupl(nGC_237) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_9) = ee**2d0/(2d0*cw)
    coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_244) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_7) = -ee**2d0/(2d0*cw)
    coupl(nGC_157) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_243) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima* &
                     ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_242) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima* &
                     ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_249) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev &
                      + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_136) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_185) = sqrt(2d0)*CWqR1x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_167) = sqrt(2d0)*CWqL1x1*cima*ee*kWL/(2d0*sw)
    coupl(nGC_186) = sqrt(2d0)*CWqR1x2*cima*ee*kWR/(2d0*sw)
    coupl(nGC_168) = sqrt(2d0)*CWqL1x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_187) = sqrt(2d0)*CWqR1x3*cima*ee*kWR/(2d0*sw)
    coupl(nGC_169) = sqrt(2d0)*CWqL1x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_188) = sqrt(2d0)*CWqR2x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_170) = sqrt(2d0)*CWqL2x1*cima*ee*kWL/(2d0*sw)
    coupl(nGC_189) = sqrt(2d0)*CWqR2x2*cima*ee*kWR/(2d0*sw)
    coupl(nGC_171) = sqrt(2d0)*CWqL2x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_190) = sqrt(2d0)*CWqR2x3*cima*ee*kWR/(2d0*sw)
    coupl(nGC_172) = sqrt(2d0)*CWqL2x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_191) = sqrt(2d0)*CWqR3x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_173) = sqrt(2d0)*CWqL3x1*cima*ee*kWL/(2d0*sw)
    coupl(nGC_192) = sqrt(2d0)*CWqR3x2*cima*ee*kWR/(2d0*sw)
    coupl(nGC_174) = sqrt(2d0)*CWqL3x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_193) = sqrt(2d0)*CWqR3x3*cima*ee*kWR/(2d0*sw)
    coupl(nGC_175) = sqrt(2d0)*CWqL3x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_176) = sqrt(2d0)*CWlR1x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_158) = sqrt(2d0)*CWlL1x1*cima*ee*kWL/(2d0*sw)
    coupl(nGC_177) = sqrt(2d0)*CWlR1x2*cima*ee*kWR/(2d0*sw)
    coupl(nGC_159) = sqrt(2d0)*CWlL1x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_178) = sqrt(2d0)*CWlR1x3*cima*ee*kWR/(2d0*sw)
    coupl(nGC_160) = sqrt(2d0)*CWlL1x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_179) = sqrt(2d0)*CWlR2x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_161) = sqrt(2d0)*CWlL2x1*cima*ee*kWL/(2d0*sw)
    coupl(nGC_180) = sqrt(2d0)*CWlR2x2*cima*ee*kWR/(2d0*sw)
    coupl(nGC_162) = sqrt(2d0)*CWlL2x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_181) = sqrt(2d0)*CWlR2x3*cima*ee*kWR/(2d0*sw)
    coupl(nGC_163) = sqrt(2d0)*CWlL2x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_182) = sqrt(2d0)*CWlR3x1*cima*ee*kWR/(2d0*sw)
    coupl(nGC_164) = sqrt(2d0)*CWlL3x1*cima*ee*kWL/(2d0*sw)
    coupl(nGC_183) = sqrt(2d0)*CWlR3x2*cima*ee*kWR/(2d0*sw)
    coupl(nGC_165) = sqrt(2d0)*CWlL3x2*cima*ee*kWL/(2d0*sw)
    coupl(nGC_184) = sqrt(2d0)*CWlR3x3*cima*ee*kWR/(2d0*sw)
    coupl(nGC_166) = sqrt(2d0)*CWlL3x3*cima*ee*kWL/(2d0*sw)
    coupl(nGC_203) = CZdR1x1*cima*ee*kZR/(cw*sw)
    coupl(nGC_194) = CZdL1x1*cima*ee*kZL/(cw*sw)
    coupl(nGC_62) = CZdR1x2*cima*ee*kZR/(2d0*cw*sw) + CZdR2x1*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_53) = CZdL1x2*cima*ee*kZL/(2d0*cw*sw) + CZdL2x1*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_63) = CZdR1x3*cima*ee*kZR/(2d0*cw*sw) + CZdR3x1*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_54) = CZdL1x3*cima*ee*kZL/(2d0*cw*sw) + CZdL3x1*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_204) = CZdR2x2*cima*ee*kZR/(cw*sw)
    coupl(nGC_195) = CZdL2x2*cima*ee*kZL/(cw*sw)
    coupl(nGC_64) = CZdR2x3*cima*ee*kZR/(2d0*cw*sw) + CZdR3x2*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_55) = CZdL2x3*cima*ee*kZL/(2d0*cw*sw) + CZdL3x2*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_205) = CZdR3x3*cima*ee*kZR/(cw*sw)
    coupl(nGC_196) = CZdL3x3*cima*ee*kZL/(cw*sw)
    coupl(nGC_206) = CZlR1x1*cima*ee*kZR/(cw*sw)
    coupl(nGC_197) = CZlL1x1*cima*ee*kZL/(cw*sw)
    coupl(nGC_65) = CZlR1x2*cima*ee*kZR/(2d0*cw*sw) + CZlR2x1*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_56) = CZlL1x2*cima*ee*kZL/(2d0*cw*sw) + CZlL2x1*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_66) = CZlR1x3*cima*ee*kZR/(2d0*cw*sw) + CZlR3x1*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_57) = CZlL1x3*cima*ee*kZL/(2d0*cw*sw) + CZlL3x1*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_207) = CZlR2x2*cima*ee*kZR/(cw*sw)
    coupl(nGC_198) = CZlL2x2*cima*ee*kZL/(cw*sw)
    coupl(nGC_67) = CZlR2x3*cima*ee*kZR/(2d0*cw*sw) + CZlR3x2*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_58) = CZlL2x3*cima*ee*kZL/(2d0*cw*sw) + CZlL3x2*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_208) = CZlR3x3*cima*ee*kZR/(cw*sw)
    coupl(nGC_199) = CZlL3x3*cima*ee*kZL/(cw*sw)
    coupl(nGC_209) = CZuR1x1*cima*ee*kZR/(cw*sw)
    coupl(nGC_200) = CZuL1x1*cima*ee*kZL/(cw*sw)
    coupl(nGC_68) = CZuR1x2*cima*ee*kZR/(2d0*cw*sw) + CZuR2x1*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_59) = CZuL1x2*cima*ee*kZL/(2d0*cw*sw) + CZuL2x1*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_69) = CZuR1x3*cima*ee*kZR/(2d0*cw*sw) + CZuR3x1*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_60) = CZuL1x3*cima*ee*kZL/(2d0*cw*sw) + CZuL3x1*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_210) = CZuR2x2*cima*ee*kZR/(cw*sw)
    coupl(nGC_201) = CZuL2x2*cima*ee*kZL/(cw*sw)
    coupl(nGC_70) = CZuR2x3*cima*ee*kZR/(2d0*cw*sw) + CZuR3x2*cima*ee*kZR/(2d0*&
                    cw*sw)
    coupl(nGC_61) = CZuL2x3*cima*ee*kZL/(2d0*cw*sw) + CZuL3x2*cima*ee*kZL/(2d0*&
                    cw*sw)
    coupl(nGC_211) = CZuR3x3*cima*ee*kZR/(cw*sw)
    coupl(nGC_202) = CZuL3x3*cima*ee*kZL/(cw*sw)
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_11) = cima*gs
    coupl(nGC_141) = sqrt(2d0)*CKM1x1*cima*ee/(2d0*sw)
    coupl(nGC_142) = sqrt(2d0)*CKM1x2*cima*ee/(2d0*sw)
    coupl(nGC_143) = sqrt(2d0)*CKM1x3*cima*ee/(2d0*sw)
    coupl(nGC_144) = sqrt(2d0)*CKM2x1*cima*ee/(2d0*sw)
    coupl(nGC_145) = sqrt(2d0)*CKM2x2*cima*ee/(2d0*sw)
    coupl(nGC_146) = sqrt(2d0)*CKM2x3*cima*ee/(2d0*sw)
    coupl(nGC_147) = sqrt(2d0)*CKM3x1*cima*ee/(2d0*sw)
    coupl(nGC_148) = sqrt(2d0)*CKM3x2*cima*ee/(2d0*sw)
    coupl(nGC_149) = sqrt(2d0)*CKM3x3*cima*ee/(2d0*sw)
    coupl(nGC_271) = sqrt(2d0)*cima*ee*conjugate(CKM1x1)/(2d0*sw)
    coupl(nGC_274) = sqrt(2d0)*cima*ee*conjugate(CKM2x1)/(2d0*sw)
    coupl(nGC_277) = sqrt(2d0)*cima*ee*conjugate(CKM3x1)/(2d0*sw)
    coupl(nGC_272) = sqrt(2d0)*cima*ee*conjugate(CKM1x2)/(2d0*sw)
    coupl(nGC_275) = sqrt(2d0)*cima*ee*conjugate(CKM2x2)/(2d0*sw)
    coupl(nGC_278) = sqrt(2d0)*cima*ee*conjugate(CKM3x2)/(2d0*sw)
    coupl(nGC_273) = sqrt(2d0)*cima*ee*conjugate(CKM1x3)/(2d0*sw)
    coupl(nGC_276) = sqrt(2d0)*cima*ee*conjugate(CKM2x3)/(2d0*sw)
    coupl(nGC_279) = sqrt(2d0)*cima*ee*conjugate(CKM3x3)/(2d0*sw)
    coupl(nGC_140) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_234) = -cima*ee*sw/(6d0*cw)
    coupl(nGC_151) = cima*cw*ee/(2d0*sw)
    coupl(nGC_150) = -cima*cw*ee/(2d0*sw)
    coupl(nGC_238) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_235) = cima*ee*sw/(2d0*cw)
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_MI) = -cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_330) = -coupl(nGC_4)
    coupl(nGC_334) = -coupl(nGC_3)
    coupl(nGC_348) = -coupl(nGC_153)
    coupl(nGC_354) = -coupl(nGC_152)
    coupl(nGC_384) = -coupl(nGC_10)
    coupl(nGC_394) = -2d0*coupl(nGC_12)
    coupl(nGC_398) = 2d0*coupl(nGC_12)
    coupl(nGC_400) = -coupl(nGC_12)
    coupl(nGC_448) = -coupl(nGC_254)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
