!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dI4a11_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM1x1*sqrt(aEW)*dMD_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a12_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM1x2*sqrt(aEW)*dMS_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dydo_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMD_QCD2/(cMW*sqrt((-cMW**2d0  &
                    + cMZ**2d0)/cMZ**2d0))
  dI1a11_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMD_QCD2*conjugate(CKM1x1)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dyup_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMU_QCD2/(cMW*sqrt((-cMW**2d0  &
                    + cMZ**2d0)/cMZ**2d0))
  dI2a21_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMU_QCD2*conjugate(CKM1x2)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a11_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM1x1*sqrt(aEW)*dMU_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dyb_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMB_QCD2/(cMW*sqrt((-cMW**2d0 + &
                  cMZ**2d0)/cMZ**2d0))
  dI3a23_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM2x3*sqrt(aEW)*dMC_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI2a31_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMU_QCD2*conjugate(CKM1x3)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI2a13_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMT_QCD2*conjugate(CKM3x1)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a31_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM3x1*sqrt(aEW)*dMD_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI2a23_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMT_QCD2*conjugate(CKM3x2)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a33_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM3x3*sqrt(aEW)*dMB_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI2a22_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMC_QCD2*conjugate(CKM2x2)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a22_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM2x2*sqrt(aEW)*dMS_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dys_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMS_QCD2/(cMW*sqrt((-cMW**2d0 + &
                  cMZ**2d0)/cMZ**2d0))
  dI1a33_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMB_QCD2*conjugate(CKM3x3)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI2a11_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMU_QCD2*conjugate(CKM1x1)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a23_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM2x3*sqrt(aEW)*dMB_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a22_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM2x2*sqrt(aEW)*dMC_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI1a31_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMB_QCD2*conjugate(CKM1x3)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI1a13_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMD_QCD2*conjugate(CKM3x1)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI1a22_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMS_QCD2*conjugate(CKM2x2)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a32_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM3x2*sqrt(aEW)*dMS_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a13_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM1x3*sqrt(aEW)*dMB_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI1a12_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMD_QCD2*conjugate(CKM2x1)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI4a21_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM2x1*sqrt(aEW)*dMD_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a32_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM3x2*sqrt(aEW)*dMT_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a33_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM3x3*sqrt(aEW)*dMT_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI1a21_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMS_QCD2*conjugate(CKM1x2)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dyc_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMC_QCD2/(cMW*sqrt((-cMW**2d0 + &
                  cMZ**2d0)/cMZ**2d0))
  dI2a12_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMC_QCD2*conjugate(CKM2x1)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a21_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM2x1*sqrt(aEW)*dMC_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a31_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM3x1*sqrt(aEW)*dMT_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI2a33_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMT_QCD2*conjugate(CKM3x3)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI1a23_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMS_QCD2*conjugate(CKM3x2)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI1a32_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMB_QCD2*conjugate(CKM2x3)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a13_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM1x3*sqrt(aEW)*dMU_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI3a12_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*CKM1x2*sqrt(aEW)*dMU_QCD2/(cMW*sqrt((- &
                     cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dI2a32_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMC_QCD2*conjugate(CKM2x3)/( &
                     cMW*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))
  dyt_QCD2_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMT_QCD2/(cMW*sqrt((-cMW**2d0 + &
                  cMZ**2d0)/cMZ**2d0))
end subroutine set_derived_ctparameter
end module derived_ctparameter
