!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 0, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 1, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 2, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 3, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 4, check)
    call createCurrent(P_H, P_H, P_H, P_H, 5, check)
    call createCurrent(P_G0, P_G0, P_H, 6, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 7, check)
    call createCurrent(P_H, P_H, P_H, 8, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 9, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 10, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 11, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 12, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 13, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 14, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 15, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 16, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 17, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 18, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 19, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 20, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 21, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 22, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 23, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 24, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 25, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 26, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 27, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 28, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 29, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 30, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 31, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 32, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 33, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 34, check)
    call createCurrent(P_g, P_g, P_g, 35, check)
    call createCurrent(P_g, P_g, P_g, P_g, 36, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 37, check)
    call createCurrent(P_c, P_dAnti, P_GMinus, 38, check)
    call createCurrent(P_t, P_dAnti, P_GMinus, 39, check)
    call createCurrent(P_u, P_sAnti, P_GMinus, 40, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 41, check)
    call createCurrent(P_t, P_sAnti, P_GMinus, 42, check)
    call createCurrent(P_u, P_bAnti, P_GMinus, 43, check)
    call createCurrent(P_c, P_bAnti, P_GMinus, 44, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 45, check)
    call createCurrent(P_d, P_dAnti, P_G0, 46, check)
    call createCurrent(P_s, P_sAnti, P_G0, 47, check)
    call createCurrent(P_b, P_bAnti, P_G0, 48, check)
    call createCurrent(P_d, P_dAnti, P_H, 49, check)
    call createCurrent(P_s, P_sAnti, P_H, 50, check)
    call createCurrent(P_b, P_bAnti, P_H, 51, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 52, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 53, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 54, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 55, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 56, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 57, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 58, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 59, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 60, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 61, check)
    call createCurrent(P_s, P_uAnti, P_GPlus, 62, check)
    call createCurrent(P_b, P_uAnti, P_GPlus, 63, check)
    call createCurrent(P_d, P_cAnti, P_GPlus, 64, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 65, check)
    call createCurrent(P_b, P_cAnti, P_GPlus, 66, check)
    call createCurrent(P_d, P_tAnti, P_GPlus, 67, check)
    call createCurrent(P_s, P_tAnti, P_GPlus, 68, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 69, check)
    call createCurrent(P_u, P_uAnti, P_G0, 70, check)
    call createCurrent(P_c, P_cAnti, P_G0, 71, check)
    call createCurrent(P_t, P_tAnti, P_G0, 72, check)
    call createCurrent(P_u, P_uAnti, P_H, 73, check)
    call createCurrent(P_c, P_cAnti, P_H, 74, check)
    call createCurrent(P_t, P_tAnti, P_H, 75, check)
    call createCurrent(P_b, P_bAnti, P_Gp0, 76, check)
    call createCurrent(P_b, P_dAnti, P_Gp0, 77, check)
    call createCurrent(P_b, P_sAnti, P_Gp0, 78, check)
    call createCurrent(P_c, P_cAnti, P_Gp0, 79, check)
    call createCurrent(P_c, P_tAnti, P_Gp0, 80, check)
    call createCurrent(P_c, P_uAnti, P_Gp0, 81, check)
    call createCurrent(P_d, P_bAnti, P_Gp0, 82, check)
    call createCurrent(P_d, P_dAnti, P_Gp0, 83, check)
    call createCurrent(P_d, P_sAnti, P_Gp0, 84, check)
    call createCurrent(P_eMinus, P_ePlus, P_Gp0, 85, check)
    call createCurrent(P_eMinus, P_muPlus, P_Gp0, 86, check)
    call createCurrent(P_eMinus, P_tauPlus, P_Gp0, 87, check)
    call createCurrent(P_muMinus, P_ePlus, P_Gp0, 88, check)
    call createCurrent(P_muMinus, P_muPlus, P_Gp0, 89, check)
    call createCurrent(P_muMinus, P_tauPlus, P_Gp0, 90, check)
    call createCurrent(P_s, P_bAnti, P_Gp0, 91, check)
    call createCurrent(P_s, P_dAnti, P_Gp0, 92, check)
    call createCurrent(P_s, P_sAnti, P_Gp0, 93, check)
    call createCurrent(P_tauMinus, P_ePlus, P_Gp0, 94, check)
    call createCurrent(P_tauMinus, P_muPlus, P_Gp0, 95, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Gp0, 96, check)
    call createCurrent(P_t, P_cAnti, P_Gp0, 97, check)
    call createCurrent(P_t, P_tAnti, P_Gp0, 98, check)
    call createCurrent(P_t, P_uAnti, P_Gp0, 99, check)
    call createCurrent(P_u, P_cAnti, P_Gp0, 100, check)
    call createCurrent(P_u, P_tAnti, P_Gp0, 101, check)
    call createCurrent(P_u, P_uAnti, P_Gp0, 102, check)
    call createCurrent(P_c, P_bAnti, P_GpMinus, 103, check)
    call createCurrent(P_c, P_dAnti, P_GpMinus, 104, check)
    call createCurrent(P_c, P_sAnti, P_GpMinus, 105, check)
    call createCurrent(P_t, P_bAnti, P_GpMinus, 106, check)
    call createCurrent(P_t, P_dAnti, P_GpMinus, 107, check)
    call createCurrent(P_t, P_sAnti, P_GpMinus, 108, check)
    call createCurrent(P_u, P_bAnti, P_GpMinus, 109, check)
    call createCurrent(P_u, P_dAnti, P_GpMinus, 110, check)
    call createCurrent(P_u, P_sAnti, P_GpMinus, 111, check)
    call createCurrent(P_nu_e, P_ePlus, P_GpMinus, 112, check)
    call createCurrent(P_nu_e, P_muPlus, P_GpMinus, 113, check)
    call createCurrent(P_nu_e, P_tauPlus, P_GpMinus, 114, check)
    call createCurrent(P_nu_mu, P_ePlus, P_GpMinus, 115, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GpMinus, 116, check)
    call createCurrent(P_nu_mu, P_tauPlus, P_GpMinus, 117, check)
    call createCurrent(P_nu_tau, P_ePlus, P_GpMinus, 118, check)
    call createCurrent(P_nu_tau, P_muPlus, P_GpMinus, 119, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GpMinus, 120, check)
    call createCurrent(P_b, P_cAnti, P_GpPlus, 121, check)
    call createCurrent(P_d, P_cAnti, P_GpPlus, 122, check)
    call createCurrent(P_s, P_cAnti, P_GpPlus, 123, check)
    call createCurrent(P_b, P_tAnti, P_GpPlus, 124, check)
    call createCurrent(P_d, P_tAnti, P_GpPlus, 125, check)
    call createCurrent(P_s, P_tAnti, P_GpPlus, 126, check)
    call createCurrent(P_b, P_uAnti, P_GpPlus, 127, check)
    call createCurrent(P_d, P_uAnti, P_GpPlus, 128, check)
    call createCurrent(P_s, P_uAnti, P_GpPlus, 129, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GpPlus, 130, check)
    call createCurrent(P_muMinus, P_nu_eAnti, P_GpPlus, 131, check)
    call createCurrent(P_tauMinus, P_nu_eAnti, P_GpPlus, 132, check)
    call createCurrent(P_eMinus, P_nu_muAnti, P_GpPlus, 133, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GpPlus, 134, check)
    call createCurrent(P_tauMinus, P_nu_muAnti, P_GpPlus, 135, check)
    call createCurrent(P_eMinus, P_nu_tauAnti, P_GpPlus, 136, check)
    call createCurrent(P_muMinus, P_nu_tauAnti, P_GpPlus, 137, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GpPlus, 138, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 139, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 140, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 141, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 142, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 143, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 144, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 145, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 146, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 147, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 148, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 149, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 150, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 151, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 152, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 153, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 154, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 155, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 156, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 157, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 158, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 159, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 160, check)
    call createCurrent(P_Z, P_G0, P_H, 161, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 162, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 163, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 164, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 165, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 166, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 167, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 168, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 169, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 170, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 171, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 172, check)
    call createCurrent(P_Z, P_Z, P_H, 173, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 174, check)
    call createCurrent(P_d, P_uAnti, P_WpPlus, 175, check)
    call createCurrent(P_s, P_uAnti, P_WpPlus, 176, check)
    call createCurrent(P_b, P_uAnti, P_WpPlus, 177, check)
    call createCurrent(P_d, P_cAnti, P_WpPlus, 178, check)
    call createCurrent(P_s, P_cAnti, P_WpPlus, 179, check)
    call createCurrent(P_b, P_cAnti, P_WpPlus, 180, check)
    call createCurrent(P_d, P_tAnti, P_WpPlus, 181, check)
    call createCurrent(P_s, P_tAnti, P_WpPlus, 182, check)
    call createCurrent(P_b, P_tAnti, P_WpPlus, 183, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WpPlus, 184, check)
    call createCurrent(P_muMinus, P_nu_eAnti, P_WpPlus, 185, check)
    call createCurrent(P_tauMinus, P_nu_eAnti, P_WpPlus, 186, check)
    call createCurrent(P_eMinus, P_nu_muAnti, P_WpPlus, 187, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WpPlus, 188, check)
    call createCurrent(P_tauMinus, P_nu_muAnti, P_WpPlus, 189, check)
    call createCurrent(P_eMinus, P_nu_tauAnti, P_WpPlus, 190, check)
    call createCurrent(P_muMinus, P_nu_tauAnti, P_WpPlus, 191, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WpPlus, 192, check)
    call createCurrent(P_d, P_dAnti, P_Zp, 193, check)
    call createCurrent(P_s, P_dAnti, P_Zp, 194, check)
    call createCurrent(P_b, P_dAnti, P_Zp, 195, check)
    call createCurrent(P_d, P_sAnti, P_Zp, 196, check)
    call createCurrent(P_s, P_sAnti, P_Zp, 197, check)
    call createCurrent(P_b, P_sAnti, P_Zp, 198, check)
    call createCurrent(P_d, P_bAnti, P_Zp, 199, check)
    call createCurrent(P_s, P_bAnti, P_Zp, 200, check)
    call createCurrent(P_b, P_bAnti, P_Zp, 201, check)
    call createCurrent(P_eMinus, P_ePlus, P_Zp, 202, check)
    call createCurrent(P_muMinus, P_ePlus, P_Zp, 203, check)
    call createCurrent(P_tauMinus, P_ePlus, P_Zp, 204, check)
    call createCurrent(P_eMinus, P_muPlus, P_Zp, 205, check)
    call createCurrent(P_muMinus, P_muPlus, P_Zp, 206, check)
    call createCurrent(P_tauMinus, P_muPlus, P_Zp, 207, check)
    call createCurrent(P_eMinus, P_tauPlus, P_Zp, 208, check)
    call createCurrent(P_muMinus, P_tauPlus, P_Zp, 209, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Zp, 210, check)
    call createCurrent(P_u, P_uAnti, P_Zp, 211, check)
    call createCurrent(P_c, P_uAnti, P_Zp, 212, check)
    call createCurrent(P_t, P_uAnti, P_Zp, 213, check)
    call createCurrent(P_u, P_cAnti, P_Zp, 214, check)
    call createCurrent(P_c, P_cAnti, P_Zp, 215, check)
    call createCurrent(P_t, P_cAnti, P_Zp, 216, check)
    call createCurrent(P_u, P_tAnti, P_Zp, 217, check)
    call createCurrent(P_c, P_tAnti, P_Zp, 218, check)
    call createCurrent(P_t, P_tAnti, P_Zp, 219, check)
    call createCurrent(P_u, P_dAnti, P_WpMinus, 220, check)
    call createCurrent(P_c, P_dAnti, P_WpMinus, 221, check)
    call createCurrent(P_t, P_dAnti, P_WpMinus, 222, check)
    call createCurrent(P_u, P_sAnti, P_WpMinus, 223, check)
    call createCurrent(P_c, P_sAnti, P_WpMinus, 224, check)
    call createCurrent(P_t, P_sAnti, P_WpMinus, 225, check)
    call createCurrent(P_u, P_bAnti, P_WpMinus, 226, check)
    call createCurrent(P_c, P_bAnti, P_WpMinus, 227, check)
    call createCurrent(P_t, P_bAnti, P_WpMinus, 228, check)
    call createCurrent(P_nu_e, P_ePlus, P_WpMinus, 229, check)
    call createCurrent(P_nu_mu, P_ePlus, P_WpMinus, 230, check)
    call createCurrent(P_nu_tau, P_ePlus, P_WpMinus, 231, check)
    call createCurrent(P_nu_e, P_muPlus, P_WpMinus, 232, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WpMinus, 233, check)
    call createCurrent(P_nu_tau, P_muPlus, P_WpMinus, 234, check)
    call createCurrent(P_nu_e, P_tauPlus, P_WpMinus, 235, check)
    call createCurrent(P_nu_mu, P_tauPlus, P_WpMinus, 236, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WpMinus, 237, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 238, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 239, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 240, check)
    call createCurrent(P_u, P_uAnti, P_A, 241, check)
    call createCurrent(P_c, P_cAnti, P_A, 242, check)
    call createCurrent(P_t, P_tAnti, P_A, 243, check)
    call createCurrent(P_d, P_dAnti, P_A, 244, check)
    call createCurrent(P_s, P_sAnti, P_A, 245, check)
    call createCurrent(P_b, P_bAnti, P_A, 246, check)
    call createCurrent(P_u, P_uAnti, P_g, 247, check)
    call createCurrent(P_c, P_cAnti, P_g, 248, check)
    call createCurrent(P_t, P_tAnti, P_g, 249, check)
    call createCurrent(P_d, P_dAnti, P_g, 250, check)
    call createCurrent(P_s, P_sAnti, P_g, 251, check)
    call createCurrent(P_b, P_bAnti, P_g, 252, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 253, check)
    call createCurrent(P_s, P_uAnti, P_WPlus, 254, check)
    call createCurrent(P_b, P_uAnti, P_WPlus, 255, check)
    call createCurrent(P_d, P_cAnti, P_WPlus, 256, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 257, check)
    call createCurrent(P_b, P_cAnti, P_WPlus, 258, check)
    call createCurrent(P_d, P_tAnti, P_WPlus, 259, check)
    call createCurrent(P_s, P_tAnti, P_WPlus, 260, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 261, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 262, check)
    call createCurrent(P_c, P_dAnti, P_WMinus, 263, check)
    call createCurrent(P_t, P_dAnti, P_WMinus, 264, check)
    call createCurrent(P_u, P_sAnti, P_WMinus, 265, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 266, check)
    call createCurrent(P_t, P_sAnti, P_WMinus, 267, check)
    call createCurrent(P_u, P_bAnti, P_WMinus, 268, check)
    call createCurrent(P_c, P_bAnti, P_WMinus, 269, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 270, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 271, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 272, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 273, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 274, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 275, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 276, check)
    call createCurrent(P_u, P_uAnti, P_Z, 277, check)
    call createCurrent(P_c, P_cAnti, P_Z, 278, check)
    call createCurrent(P_t, P_tAnti, P_Z, 279, check)
    call createCurrent(P_d, P_dAnti, P_Z, 280, check)
    call createCurrent(P_s, P_sAnti, P_Z, 281, check)
    call createCurrent(P_b, P_bAnti, P_Z, 282, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 283, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 284, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 285, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 286, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 287, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 288, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 289, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 290, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 291, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 292, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 293, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 294, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 295, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 296, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 297, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 298, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 299, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 300, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 301, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 302, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 303, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 304, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 305, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 306, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 307, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 308, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 309, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 310, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 311, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 312, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 313, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 314, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 315, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 316, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 317, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 318, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 319, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 320, check)
    call createCurrent(P_G0, P_H, P_G0, 321, check)
    call createCurrent(P_H, P_G0, P_G0, 322, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 323, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 324, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 325, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 326, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 327, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 328, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 329, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 330, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 331, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 332, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 333, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 334, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 335, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 336, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 337, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 338, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 339, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 340, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 341, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 342, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 343, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 344, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 345, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 346, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 347, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 348, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 349, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 350, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 351, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 352, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 353, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 354, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 355, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 356, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 357, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 358, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 359, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 360, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 361, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 362, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 363, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 364, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 365, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 366, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 367, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 368, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 369, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 370, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 371, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 372, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 373, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 374, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 375, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 376, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 377, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 378, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 379, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 380, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 381, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 382, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 383, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 384, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 385, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 386, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 387, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 388, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 389, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 390, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 391, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 392, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 393, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 394, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 395, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 396, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 397, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 398, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 399, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 400, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 401, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 402, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 403, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 404, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 405, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 406, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 407, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 408, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 409, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 410, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 411, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 412, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 413, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 414, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 415, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 416, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 417, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 418, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 419, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 420, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 421, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 422, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 423, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 424, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 425, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 426, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 427, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 428, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 429, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 430, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 431, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 432, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 433, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 434, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 435, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 436, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 437, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 438, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 439, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 440, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 441, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 442, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 443, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 444, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 445, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 446, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 447, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 448, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 449, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 450, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 451, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 452, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 453, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 454, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 455, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 456, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 457, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 458, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 459, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 460, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 461, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 462, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 463, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 464, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 465, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 466, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 467, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 468, check)
    call createCurrent(P_GMinus, P_dAnti, P_c, 469, check)
    call createCurrent(P_GMinus, P_c, P_dAnti, 470, check)
    call createCurrent(P_dAnti, P_GMinus, P_c, 471, check)
    call createCurrent(P_dAnti, P_c, P_GMinus, 472, check)
    call createCurrent(P_c, P_GMinus, P_dAnti, 473, check)
    call createCurrent(P_GMinus, P_t, P_dAnti, 474, check)
    call createCurrent(P_GMinus, P_dAnti, P_t, 475, check)
    call createCurrent(P_t, P_GMinus, P_dAnti, 476, check)
    call createCurrent(P_dAnti, P_t, P_GMinus, 477, check)
    call createCurrent(P_dAnti, P_GMinus, P_t, 478, check)
    call createCurrent(P_u, P_GMinus, P_sAnti, 479, check)
    call createCurrent(P_sAnti, P_u, P_GMinus, 480, check)
    call createCurrent(P_sAnti, P_GMinus, P_u, 481, check)
    call createCurrent(P_GMinus, P_u, P_sAnti, 482, check)
    call createCurrent(P_GMinus, P_sAnti, P_u, 483, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 484, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 485, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 486, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 487, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 488, check)
    call createCurrent(P_sAnti, P_t, P_GMinus, 489, check)
    call createCurrent(P_sAnti, P_GMinus, P_t, 490, check)
    call createCurrent(P_t, P_GMinus, P_sAnti, 491, check)
    call createCurrent(P_GMinus, P_sAnti, P_t, 492, check)
    call createCurrent(P_GMinus, P_t, P_sAnti, 493, check)
    call createCurrent(P_u, P_GMinus, P_bAnti, 494, check)
    call createCurrent(P_bAnti, P_u, P_GMinus, 495, check)
    call createCurrent(P_bAnti, P_GMinus, P_u, 496, check)
    call createCurrent(P_GMinus, P_u, P_bAnti, 497, check)
    call createCurrent(P_GMinus, P_bAnti, P_u, 498, check)
    call createCurrent(P_bAnti, P_GMinus, P_c, 499, check)
    call createCurrent(P_bAnti, P_c, P_GMinus, 500, check)
    call createCurrent(P_GMinus, P_bAnti, P_c, 501, check)
    call createCurrent(P_GMinus, P_c, P_bAnti, 502, check)
    call createCurrent(P_c, P_GMinus, P_bAnti, 503, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 504, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 505, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 506, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 507, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 508, check)
    call createCurrent(P_G0, P_d, P_dAnti, 509, check)
    call createCurrent(P_G0, P_dAnti, P_d, 510, check)
    call createCurrent(P_d, P_G0, P_dAnti, 511, check)
    call createCurrent(P_dAnti, P_G0, P_d, 512, check)
    call createCurrent(P_dAnti, P_d, P_G0, 513, check)
    call createCurrent(P_G0, P_s, P_sAnti, 514, check)
    call createCurrent(P_G0, P_sAnti, P_s, 515, check)
    call createCurrent(P_s, P_G0, P_sAnti, 516, check)
    call createCurrent(P_sAnti, P_G0, P_s, 517, check)
    call createCurrent(P_sAnti, P_s, P_G0, 518, check)
    call createCurrent(P_G0, P_bAnti, P_b, 519, check)
    call createCurrent(P_G0, P_b, P_bAnti, 520, check)
    call createCurrent(P_bAnti, P_G0, P_b, 521, check)
    call createCurrent(P_bAnti, P_b, P_G0, 522, check)
    call createCurrent(P_b, P_G0, P_bAnti, 523, check)
    call createCurrent(P_d, P_H, P_dAnti, 524, check)
    call createCurrent(P_H, P_d, P_dAnti, 525, check)
    call createCurrent(P_H, P_dAnti, P_d, 526, check)
    call createCurrent(P_dAnti, P_d, P_H, 527, check)
    call createCurrent(P_dAnti, P_H, P_d, 528, check)
    call createCurrent(P_s, P_H, P_sAnti, 529, check)
    call createCurrent(P_sAnti, P_s, P_H, 530, check)
    call createCurrent(P_sAnti, P_H, P_s, 531, check)
    call createCurrent(P_H, P_s, P_sAnti, 532, check)
    call createCurrent(P_H, P_sAnti, P_s, 533, check)
    call createCurrent(P_bAnti, P_H, P_b, 534, check)
    call createCurrent(P_bAnti, P_b, P_H, 535, check)
    call createCurrent(P_H, P_bAnti, P_b, 536, check)
    call createCurrent(P_H, P_b, P_bAnti, 537, check)
    call createCurrent(P_b, P_H, P_bAnti, 538, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 539, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 540, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 541, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 542, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 543, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 544, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 545, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 546, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 547, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 548, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 549, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 550, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 551, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 552, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 553, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 554, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 555, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 556, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 557, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 558, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 559, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 560, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 561, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 562, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 563, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 564, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 565, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 566, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 567, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 568, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 569, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 570, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 571, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 572, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 573, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 574, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 575, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 576, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 577, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 578, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 579, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 580, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 581, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 582, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 583, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 584, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 585, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 586, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 587, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 588, check)
    call createCurrent(P_s, P_GPlus, P_uAnti, 589, check)
    call createCurrent(P_GPlus, P_s, P_uAnti, 590, check)
    call createCurrent(P_GPlus, P_uAnti, P_s, 591, check)
    call createCurrent(P_uAnti, P_s, P_GPlus, 592, check)
    call createCurrent(P_uAnti, P_GPlus, P_s, 593, check)
    call createCurrent(P_GPlus, P_uAnti, P_b, 594, check)
    call createCurrent(P_GPlus, P_b, P_uAnti, 595, check)
    call createCurrent(P_uAnti, P_GPlus, P_b, 596, check)
    call createCurrent(P_uAnti, P_b, P_GPlus, 597, check)
    call createCurrent(P_b, P_GPlus, P_uAnti, 598, check)
    call createCurrent(P_cAnti, P_d, P_GPlus, 599, check)
    call createCurrent(P_cAnti, P_GPlus, P_d, 600, check)
    call createCurrent(P_d, P_GPlus, P_cAnti, 601, check)
    call createCurrent(P_GPlus, P_cAnti, P_d, 602, check)
    call createCurrent(P_GPlus, P_d, P_cAnti, 603, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 604, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 605, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 606, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 607, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 608, check)
    call createCurrent(P_cAnti, P_GPlus, P_b, 609, check)
    call createCurrent(P_cAnti, P_b, P_GPlus, 610, check)
    call createCurrent(P_GPlus, P_cAnti, P_b, 611, check)
    call createCurrent(P_GPlus, P_b, P_cAnti, 612, check)
    call createCurrent(P_b, P_GPlus, P_cAnti, 613, check)
    call createCurrent(P_tAnti, P_d, P_GPlus, 614, check)
    call createCurrent(P_tAnti, P_GPlus, P_d, 615, check)
    call createCurrent(P_d, P_GPlus, P_tAnti, 616, check)
    call createCurrent(P_GPlus, P_tAnti, P_d, 617, check)
    call createCurrent(P_GPlus, P_d, P_tAnti, 618, check)
    call createCurrent(P_tAnti, P_s, P_GPlus, 619, check)
    call createCurrent(P_tAnti, P_GPlus, P_s, 620, check)
    call createCurrent(P_s, P_GPlus, P_tAnti, 621, check)
    call createCurrent(P_GPlus, P_tAnti, P_s, 622, check)
    call createCurrent(P_GPlus, P_s, P_tAnti, 623, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 624, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 625, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 626, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 627, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 628, check)
    call createCurrent(P_G0, P_u, P_uAnti, 629, check)
    call createCurrent(P_G0, P_uAnti, P_u, 630, check)
    call createCurrent(P_u, P_G0, P_uAnti, 631, check)
    call createCurrent(P_uAnti, P_G0, P_u, 632, check)
    call createCurrent(P_uAnti, P_u, P_G0, 633, check)
    call createCurrent(P_G0, P_cAnti, P_c, 634, check)
    call createCurrent(P_G0, P_c, P_cAnti, 635, check)
    call createCurrent(P_cAnti, P_G0, P_c, 636, check)
    call createCurrent(P_cAnti, P_c, P_G0, 637, check)
    call createCurrent(P_c, P_G0, P_cAnti, 638, check)
    call createCurrent(P_tAnti, P_G0, P_t, 639, check)
    call createCurrent(P_tAnti, P_t, P_G0, 640, check)
    call createCurrent(P_t, P_G0, P_tAnti, 641, check)
    call createCurrent(P_G0, P_tAnti, P_t, 642, check)
    call createCurrent(P_G0, P_t, P_tAnti, 643, check)
    call createCurrent(P_u, P_H, P_uAnti, 644, check)
    call createCurrent(P_uAnti, P_u, P_H, 645, check)
    call createCurrent(P_uAnti, P_H, P_u, 646, check)
    call createCurrent(P_H, P_u, P_uAnti, 647, check)
    call createCurrent(P_H, P_uAnti, P_u, 648, check)
    call createCurrent(P_cAnti, P_H, P_c, 649, check)
    call createCurrent(P_cAnti, P_c, P_H, 650, check)
    call createCurrent(P_H, P_cAnti, P_c, 651, check)
    call createCurrent(P_H, P_c, P_cAnti, 652, check)
    call createCurrent(P_c, P_H, P_cAnti, 653, check)
    call createCurrent(P_tAnti, P_t, P_H, 654, check)
    call createCurrent(P_tAnti, P_H, P_t, 655, check)
    call createCurrent(P_t, P_H, P_tAnti, 656, check)
    call createCurrent(P_H, P_tAnti, P_t, 657, check)
    call createCurrent(P_H, P_t, P_tAnti, 658, check)
    call createCurrent(P_Gp0, P_bAnti, P_b, 659, check)
    call createCurrent(P_Gp0, P_b, P_bAnti, 660, check)
    call createCurrent(P_bAnti, P_Gp0, P_b, 661, check)
    call createCurrent(P_bAnti, P_b, P_Gp0, 662, check)
    call createCurrent(P_b, P_Gp0, P_bAnti, 663, check)
    call createCurrent(P_Gp0, P_dAnti, P_b, 664, check)
    call createCurrent(P_Gp0, P_b, P_dAnti, 665, check)
    call createCurrent(P_dAnti, P_Gp0, P_b, 666, check)
    call createCurrent(P_dAnti, P_b, P_Gp0, 667, check)
    call createCurrent(P_b, P_Gp0, P_dAnti, 668, check)
    call createCurrent(P_Gp0, P_sAnti, P_b, 669, check)
    call createCurrent(P_Gp0, P_b, P_sAnti, 670, check)
    call createCurrent(P_sAnti, P_Gp0, P_b, 671, check)
    call createCurrent(P_sAnti, P_b, P_Gp0, 672, check)
    call createCurrent(P_b, P_Gp0, P_sAnti, 673, check)
    call createCurrent(P_Gp0, P_cAnti, P_c, 674, check)
    call createCurrent(P_Gp0, P_c, P_cAnti, 675, check)
    call createCurrent(P_cAnti, P_Gp0, P_c, 676, check)
    call createCurrent(P_cAnti, P_c, P_Gp0, 677, check)
    call createCurrent(P_c, P_Gp0, P_cAnti, 678, check)
    call createCurrent(P_tAnti, P_Gp0, P_c, 679, check)
    call createCurrent(P_tAnti, P_c, P_Gp0, 680, check)
    call createCurrent(P_Gp0, P_tAnti, P_c, 681, check)
    call createCurrent(P_Gp0, P_c, P_tAnti, 682, check)
    call createCurrent(P_c, P_Gp0, P_tAnti, 683, check)
    call createCurrent(P_Gp0, P_uAnti, P_c, 684, check)
    call createCurrent(P_Gp0, P_c, P_uAnti, 685, check)
    call createCurrent(P_uAnti, P_Gp0, P_c, 686, check)
    call createCurrent(P_uAnti, P_c, P_Gp0, 687, check)
    call createCurrent(P_c, P_Gp0, P_uAnti, 688, check)
    call createCurrent(P_Gp0, P_bAnti, P_d, 689, check)
    call createCurrent(P_Gp0, P_d, P_bAnti, 690, check)
    call createCurrent(P_bAnti, P_Gp0, P_d, 691, check)
    call createCurrent(P_bAnti, P_d, P_Gp0, 692, check)
    call createCurrent(P_d, P_Gp0, P_bAnti, 693, check)
    call createCurrent(P_Gp0, P_d, P_dAnti, 694, check)
    call createCurrent(P_Gp0, P_dAnti, P_d, 695, check)
    call createCurrent(P_d, P_Gp0, P_dAnti, 696, check)
    call createCurrent(P_dAnti, P_Gp0, P_d, 697, check)
    call createCurrent(P_dAnti, P_d, P_Gp0, 698, check)
    call createCurrent(P_Gp0, P_d, P_sAnti, 699, check)
    call createCurrent(P_Gp0, P_sAnti, P_d, 700, check)
    call createCurrent(P_d, P_Gp0, P_sAnti, 701, check)
    call createCurrent(P_sAnti, P_Gp0, P_d, 702, check)
    call createCurrent(P_sAnti, P_d, P_Gp0, 703, check)
    call createCurrent(P_Gp0, P_ePlus, P_eMinus, 704, check)
    call createCurrent(P_Gp0, P_eMinus, P_ePlus, 705, check)
    call createCurrent(P_ePlus, P_Gp0, P_eMinus, 706, check)
    call createCurrent(P_ePlus, P_eMinus, P_Gp0, 707, check)
    call createCurrent(P_eMinus, P_Gp0, P_ePlus, 708, check)
    call createCurrent(P_muPlus, P_Gp0, P_eMinus, 709, check)
    call createCurrent(P_muPlus, P_eMinus, P_Gp0, 710, check)
    call createCurrent(P_Gp0, P_muPlus, P_eMinus, 711, check)
    call createCurrent(P_Gp0, P_eMinus, P_muPlus, 712, check)
    call createCurrent(P_eMinus, P_Gp0, P_muPlus, 713, check)
    call createCurrent(P_Gp0, P_tauPlus, P_eMinus, 714, check)
    call createCurrent(P_Gp0, P_eMinus, P_tauPlus, 715, check)
    call createCurrent(P_tauPlus, P_Gp0, P_eMinus, 716, check)
    call createCurrent(P_tauPlus, P_eMinus, P_Gp0, 717, check)
    call createCurrent(P_eMinus, P_Gp0, P_tauPlus, 718, check)
    call createCurrent(P_Gp0, P_ePlus, P_muMinus, 719, check)
    call createCurrent(P_Gp0, P_muMinus, P_ePlus, 720, check)
    call createCurrent(P_ePlus, P_Gp0, P_muMinus, 721, check)
    call createCurrent(P_ePlus, P_muMinus, P_Gp0, 722, check)
    call createCurrent(P_muMinus, P_Gp0, P_ePlus, 723, check)
    call createCurrent(P_muPlus, P_Gp0, P_muMinus, 724, check)
    call createCurrent(P_muPlus, P_muMinus, P_Gp0, 725, check)
    call createCurrent(P_Gp0, P_muPlus, P_muMinus, 726, check)
    call createCurrent(P_Gp0, P_muMinus, P_muPlus, 727, check)
    call createCurrent(P_muMinus, P_Gp0, P_muPlus, 728, check)
    call createCurrent(P_Gp0, P_muMinus, P_tauPlus, 729, check)
    call createCurrent(P_Gp0, P_tauPlus, P_muMinus, 730, check)
    call createCurrent(P_muMinus, P_Gp0, P_tauPlus, 731, check)
    call createCurrent(P_tauPlus, P_Gp0, P_muMinus, 732, check)
    call createCurrent(P_tauPlus, P_muMinus, P_Gp0, 733, check)
    call createCurrent(P_s, P_Gp0, P_bAnti, 734, check)
    call createCurrent(P_bAnti, P_Gp0, P_s, 735, check)
    call createCurrent(P_bAnti, P_s, P_Gp0, 736, check)
    call createCurrent(P_Gp0, P_s, P_bAnti, 737, check)
    call createCurrent(P_Gp0, P_bAnti, P_s, 738, check)
    call createCurrent(P_s, P_Gp0, P_dAnti, 739, check)
    call createCurrent(P_Gp0, P_s, P_dAnti, 740, check)
    call createCurrent(P_Gp0, P_dAnti, P_s, 741, check)
    call createCurrent(P_dAnti, P_s, P_Gp0, 742, check)
    call createCurrent(P_dAnti, P_Gp0, P_s, 743, check)
    call createCurrent(P_s, P_Gp0, P_sAnti, 744, check)
    call createCurrent(P_sAnti, P_Gp0, P_s, 745, check)
    call createCurrent(P_sAnti, P_s, P_Gp0, 746, check)
    call createCurrent(P_Gp0, P_s, P_sAnti, 747, check)
    call createCurrent(P_Gp0, P_sAnti, P_s, 748, check)
    call createCurrent(P_Gp0, P_ePlus, P_tauMinus, 749, check)
    call createCurrent(P_Gp0, P_tauMinus, P_ePlus, 750, check)
    call createCurrent(P_ePlus, P_Gp0, P_tauMinus, 751, check)
    call createCurrent(P_ePlus, P_tauMinus, P_Gp0, 752, check)
    call createCurrent(P_tauMinus, P_Gp0, P_ePlus, 753, check)
    call createCurrent(P_muPlus, P_Gp0, P_tauMinus, 754, check)
    call createCurrent(P_muPlus, P_tauMinus, P_Gp0, 755, check)
    call createCurrent(P_Gp0, P_muPlus, P_tauMinus, 756, check)
    call createCurrent(P_Gp0, P_tauMinus, P_muPlus, 757, check)
    call createCurrent(P_tauMinus, P_Gp0, P_muPlus, 758, check)
    call createCurrent(P_Gp0, P_tauMinus, P_tauPlus, 759, check)
    call createCurrent(P_Gp0, P_tauPlus, P_tauMinus, 760, check)
    call createCurrent(P_tauMinus, P_Gp0, P_tauPlus, 761, check)
    call createCurrent(P_tauPlus, P_Gp0, P_tauMinus, 762, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Gp0, 763, check)
    call createCurrent(P_Gp0, P_cAnti, P_t, 764, check)
    call createCurrent(P_Gp0, P_t, P_cAnti, 765, check)
    call createCurrent(P_cAnti, P_Gp0, P_t, 766, check)
    call createCurrent(P_cAnti, P_t, P_Gp0, 767, check)
    call createCurrent(P_t, P_Gp0, P_cAnti, 768, check)
    call createCurrent(P_tAnti, P_Gp0, P_t, 769, check)
    call createCurrent(P_tAnti, P_t, P_Gp0, 770, check)
    call createCurrent(P_Gp0, P_tAnti, P_t, 771, check)
    call createCurrent(P_Gp0, P_t, P_tAnti, 772, check)
    call createCurrent(P_t, P_Gp0, P_tAnti, 773, check)
    call createCurrent(P_Gp0, P_uAnti, P_t, 774, check)
    call createCurrent(P_Gp0, P_t, P_uAnti, 775, check)
    call createCurrent(P_uAnti, P_Gp0, P_t, 776, check)
    call createCurrent(P_uAnti, P_t, P_Gp0, 777, check)
    call createCurrent(P_t, P_Gp0, P_uAnti, 778, check)
    call createCurrent(P_u, P_Gp0, P_cAnti, 779, check)
    call createCurrent(P_cAnti, P_Gp0, P_u, 780, check)
    call createCurrent(P_cAnti, P_u, P_Gp0, 781, check)
    call createCurrent(P_Gp0, P_u, P_cAnti, 782, check)
    call createCurrent(P_Gp0, P_cAnti, P_u, 783, check)
    call createCurrent(P_tAnti, P_u, P_Gp0, 784, check)
    call createCurrent(P_tAnti, P_Gp0, P_u, 785, check)
    call createCurrent(P_u, P_Gp0, P_tAnti, 786, check)
    call createCurrent(P_Gp0, P_tAnti, P_u, 787, check)
    call createCurrent(P_Gp0, P_u, P_tAnti, 788, check)
    call createCurrent(P_u, P_Gp0, P_uAnti, 789, check)
    call createCurrent(P_uAnti, P_Gp0, P_u, 790, check)
    call createCurrent(P_uAnti, P_u, P_Gp0, 791, check)
    call createCurrent(P_Gp0, P_u, P_uAnti, 792, check)
    call createCurrent(P_Gp0, P_uAnti, P_u, 793, check)
    call createCurrent(P_bAnti, P_GpMinus, P_c, 794, check)
    call createCurrent(P_bAnti, P_c, P_GpMinus, 795, check)
    call createCurrent(P_GpMinus, P_bAnti, P_c, 796, check)
    call createCurrent(P_GpMinus, P_c, P_bAnti, 797, check)
    call createCurrent(P_c, P_GpMinus, P_bAnti, 798, check)
    call createCurrent(P_GpMinus, P_dAnti, P_c, 799, check)
    call createCurrent(P_GpMinus, P_c, P_dAnti, 800, check)
    call createCurrent(P_dAnti, P_GpMinus, P_c, 801, check)
    call createCurrent(P_dAnti, P_c, P_GpMinus, 802, check)
    call createCurrent(P_c, P_GpMinus, P_dAnti, 803, check)
    call createCurrent(P_GpMinus, P_sAnti, P_c, 804, check)
    call createCurrent(P_GpMinus, P_c, P_sAnti, 805, check)
    call createCurrent(P_sAnti, P_GpMinus, P_c, 806, check)
    call createCurrent(P_sAnti, P_c, P_GpMinus, 807, check)
    call createCurrent(P_c, P_GpMinus, P_sAnti, 808, check)
    call createCurrent(P_bAnti, P_t, P_GpMinus, 809, check)
    call createCurrent(P_bAnti, P_GpMinus, P_t, 810, check)
    call createCurrent(P_t, P_GpMinus, P_bAnti, 811, check)
    call createCurrent(P_GpMinus, P_bAnti, P_t, 812, check)
    call createCurrent(P_GpMinus, P_t, P_bAnti, 813, check)
    call createCurrent(P_t, P_GpMinus, P_dAnti, 814, check)
    call createCurrent(P_dAnti, P_t, P_GpMinus, 815, check)
    call createCurrent(P_dAnti, P_GpMinus, P_t, 816, check)
    call createCurrent(P_GpMinus, P_t, P_dAnti, 817, check)
    call createCurrent(P_GpMinus, P_dAnti, P_t, 818, check)
    call createCurrent(P_sAnti, P_t, P_GpMinus, 819, check)
    call createCurrent(P_sAnti, P_GpMinus, P_t, 820, check)
    call createCurrent(P_t, P_GpMinus, P_sAnti, 821, check)
    call createCurrent(P_GpMinus, P_sAnti, P_t, 822, check)
    call createCurrent(P_GpMinus, P_t, P_sAnti, 823, check)
    call createCurrent(P_u, P_GpMinus, P_bAnti, 824, check)
    call createCurrent(P_bAnti, P_u, P_GpMinus, 825, check)
    call createCurrent(P_bAnti, P_GpMinus, P_u, 826, check)
    call createCurrent(P_GpMinus, P_u, P_bAnti, 827, check)
    call createCurrent(P_GpMinus, P_bAnti, P_u, 828, check)
    call createCurrent(P_u, P_GpMinus, P_dAnti, 829, check)
    call createCurrent(P_dAnti, P_u, P_GpMinus, 830, check)
    call createCurrent(P_dAnti, P_GpMinus, P_u, 831, check)
    call createCurrent(P_GpMinus, P_u, P_dAnti, 832, check)
    call createCurrent(P_GpMinus, P_dAnti, P_u, 833, check)
    call createCurrent(P_u, P_GpMinus, P_sAnti, 834, check)
    call createCurrent(P_sAnti, P_u, P_GpMinus, 835, check)
    call createCurrent(P_sAnti, P_GpMinus, P_u, 836, check)
    call createCurrent(P_GpMinus, P_u, P_sAnti, 837, check)
    call createCurrent(P_GpMinus, P_sAnti, P_u, 838, check)
    call createCurrent(P_ePlus, P_nu_e, P_GpMinus, 839, check)
    call createCurrent(P_ePlus, P_GpMinus, P_nu_e, 840, check)
    call createCurrent(P_nu_e, P_GpMinus, P_ePlus, 841, check)
    call createCurrent(P_GpMinus, P_ePlus, P_nu_e, 842, check)
    call createCurrent(P_GpMinus, P_nu_e, P_ePlus, 843, check)
    call createCurrent(P_muPlus, P_nu_e, P_GpMinus, 844, check)
    call createCurrent(P_muPlus, P_GpMinus, P_nu_e, 845, check)
    call createCurrent(P_nu_e, P_GpMinus, P_muPlus, 846, check)
    call createCurrent(P_GpMinus, P_muPlus, P_nu_e, 847, check)
    call createCurrent(P_GpMinus, P_nu_e, P_muPlus, 848, check)
    call createCurrent(P_nu_e, P_GpMinus, P_tauPlus, 849, check)
    call createCurrent(P_tauPlus, P_nu_e, P_GpMinus, 850, check)
    call createCurrent(P_tauPlus, P_GpMinus, P_nu_e, 851, check)
    call createCurrent(P_GpMinus, P_nu_e, P_tauPlus, 852, check)
    call createCurrent(P_GpMinus, P_tauPlus, P_nu_e, 853, check)
    call createCurrent(P_ePlus, P_nu_mu, P_GpMinus, 854, check)
    call createCurrent(P_ePlus, P_GpMinus, P_nu_mu, 855, check)
    call createCurrent(P_nu_mu, P_GpMinus, P_ePlus, 856, check)
    call createCurrent(P_GpMinus, P_ePlus, P_nu_mu, 857, check)
    call createCurrent(P_GpMinus, P_nu_mu, P_ePlus, 858, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GpMinus, 859, check)
    call createCurrent(P_muPlus, P_GpMinus, P_nu_mu, 860, check)
    call createCurrent(P_nu_mu, P_GpMinus, P_muPlus, 861, check)
    call createCurrent(P_GpMinus, P_muPlus, P_nu_mu, 862, check)
    call createCurrent(P_GpMinus, P_nu_mu, P_muPlus, 863, check)
    call createCurrent(P_nu_mu, P_GpMinus, P_tauPlus, 864, check)
    call createCurrent(P_tauPlus, P_nu_mu, P_GpMinus, 865, check)
    call createCurrent(P_tauPlus, P_GpMinus, P_nu_mu, 866, check)
    call createCurrent(P_GpMinus, P_nu_mu, P_tauPlus, 867, check)
    call createCurrent(P_GpMinus, P_tauPlus, P_nu_mu, 868, check)
    call createCurrent(P_nu_tau, P_GpMinus, P_ePlus, 869, check)
    call createCurrent(P_ePlus, P_nu_tau, P_GpMinus, 870, check)
    call createCurrent(P_ePlus, P_GpMinus, P_nu_tau, 871, check)
    call createCurrent(P_GpMinus, P_nu_tau, P_ePlus, 872, check)
    call createCurrent(P_GpMinus, P_ePlus, P_nu_tau, 873, check)
    call createCurrent(P_muPlus, P_nu_tau, P_GpMinus, 874, check)
    call createCurrent(P_muPlus, P_GpMinus, P_nu_tau, 875, check)
    call createCurrent(P_nu_tau, P_GpMinus, P_muPlus, 876, check)
    call createCurrent(P_GpMinus, P_muPlus, P_nu_tau, 877, check)
    call createCurrent(P_GpMinus, P_nu_tau, P_muPlus, 878, check)
    call createCurrent(P_nu_tau, P_GpMinus, P_tauPlus, 879, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GpMinus, 880, check)
    call createCurrent(P_tauPlus, P_GpMinus, P_nu_tau, 881, check)
    call createCurrent(P_GpMinus, P_nu_tau, P_tauPlus, 882, check)
    call createCurrent(P_GpMinus, P_tauPlus, P_nu_tau, 883, check)
    call createCurrent(P_cAnti, P_GpPlus, P_b, 884, check)
    call createCurrent(P_cAnti, P_b, P_GpPlus, 885, check)
    call createCurrent(P_GpPlus, P_cAnti, P_b, 886, check)
    call createCurrent(P_GpPlus, P_b, P_cAnti, 887, check)
    call createCurrent(P_b, P_GpPlus, P_cAnti, 888, check)
    call createCurrent(P_cAnti, P_d, P_GpPlus, 889, check)
    call createCurrent(P_cAnti, P_GpPlus, P_d, 890, check)
    call createCurrent(P_d, P_GpPlus, P_cAnti, 891, check)
    call createCurrent(P_GpPlus, P_cAnti, P_d, 892, check)
    call createCurrent(P_GpPlus, P_d, P_cAnti, 893, check)
    call createCurrent(P_s, P_GpPlus, P_cAnti, 894, check)
    call createCurrent(P_cAnti, P_s, P_GpPlus, 895, check)
    call createCurrent(P_cAnti, P_GpPlus, P_s, 896, check)
    call createCurrent(P_GpPlus, P_s, P_cAnti, 897, check)
    call createCurrent(P_GpPlus, P_cAnti, P_s, 898, check)
    call createCurrent(P_tAnti, P_GpPlus, P_b, 899, check)
    call createCurrent(P_tAnti, P_b, P_GpPlus, 900, check)
    call createCurrent(P_GpPlus, P_tAnti, P_b, 901, check)
    call createCurrent(P_GpPlus, P_b, P_tAnti, 902, check)
    call createCurrent(P_b, P_GpPlus, P_tAnti, 903, check)
    call createCurrent(P_tAnti, P_d, P_GpPlus, 904, check)
    call createCurrent(P_tAnti, P_GpPlus, P_d, 905, check)
    call createCurrent(P_d, P_GpPlus, P_tAnti, 906, check)
    call createCurrent(P_GpPlus, P_tAnti, P_d, 907, check)
    call createCurrent(P_GpPlus, P_d, P_tAnti, 908, check)
    call createCurrent(P_tAnti, P_s, P_GpPlus, 909, check)
    call createCurrent(P_tAnti, P_GpPlus, P_s, 910, check)
    call createCurrent(P_s, P_GpPlus, P_tAnti, 911, check)
    call createCurrent(P_GpPlus, P_tAnti, P_s, 912, check)
    call createCurrent(P_GpPlus, P_s, P_tAnti, 913, check)
    call createCurrent(P_GpPlus, P_uAnti, P_b, 914, check)
    call createCurrent(P_GpPlus, P_b, P_uAnti, 915, check)
    call createCurrent(P_uAnti, P_GpPlus, P_b, 916, check)
    call createCurrent(P_uAnti, P_b, P_GpPlus, 917, check)
    call createCurrent(P_b, P_GpPlus, P_uAnti, 918, check)
    call createCurrent(P_GpPlus, P_d, P_uAnti, 919, check)
    call createCurrent(P_GpPlus, P_uAnti, P_d, 920, check)
    call createCurrent(P_d, P_GpPlus, P_uAnti, 921, check)
    call createCurrent(P_uAnti, P_d, P_GpPlus, 922, check)
    call createCurrent(P_uAnti, P_GpPlus, P_d, 923, check)
    call createCurrent(P_s, P_GpPlus, P_uAnti, 924, check)
    call createCurrent(P_GpPlus, P_s, P_uAnti, 925, check)
    call createCurrent(P_GpPlus, P_uAnti, P_s, 926, check)
    call createCurrent(P_uAnti, P_s, P_GpPlus, 927, check)
    call createCurrent(P_uAnti, P_GpPlus, P_s, 928, check)
    call createCurrent(P_nu_eAnti, P_GpPlus, P_eMinus, 929, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GpPlus, 930, check)
    call createCurrent(P_GpPlus, P_nu_eAnti, P_eMinus, 931, check)
    call createCurrent(P_GpPlus, P_eMinus, P_nu_eAnti, 932, check)
    call createCurrent(P_eMinus, P_GpPlus, P_nu_eAnti, 933, check)
    call createCurrent(P_nu_eAnti, P_GpPlus, P_muMinus, 934, check)
    call createCurrent(P_nu_eAnti, P_muMinus, P_GpPlus, 935, check)
    call createCurrent(P_GpPlus, P_nu_eAnti, P_muMinus, 936, check)
    call createCurrent(P_GpPlus, P_muMinus, P_nu_eAnti, 937, check)
    call createCurrent(P_muMinus, P_GpPlus, P_nu_eAnti, 938, check)
    call createCurrent(P_nu_eAnti, P_tauMinus, P_GpPlus, 939, check)
    call createCurrent(P_nu_eAnti, P_GpPlus, P_tauMinus, 940, check)
    call createCurrent(P_tauMinus, P_GpPlus, P_nu_eAnti, 941, check)
    call createCurrent(P_GpPlus, P_nu_eAnti, P_tauMinus, 942, check)
    call createCurrent(P_GpPlus, P_tauMinus, P_nu_eAnti, 943, check)
    call createCurrent(P_GpPlus, P_nu_muAnti, P_eMinus, 944, check)
    call createCurrent(P_GpPlus, P_eMinus, P_nu_muAnti, 945, check)
    call createCurrent(P_nu_muAnti, P_GpPlus, P_eMinus, 946, check)
    call createCurrent(P_nu_muAnti, P_eMinus, P_GpPlus, 947, check)
    call createCurrent(P_eMinus, P_GpPlus, P_nu_muAnti, 948, check)
    call createCurrent(P_GpPlus, P_muMinus, P_nu_muAnti, 949, check)
    call createCurrent(P_GpPlus, P_nu_muAnti, P_muMinus, 950, check)
    call createCurrent(P_muMinus, P_GpPlus, P_nu_muAnti, 951, check)
    call createCurrent(P_nu_muAnti, P_GpPlus, P_muMinus, 952, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GpPlus, 953, check)
    call createCurrent(P_tauMinus, P_GpPlus, P_nu_muAnti, 954, check)
    call createCurrent(P_GpPlus, P_tauMinus, P_nu_muAnti, 955, check)
    call createCurrent(P_GpPlus, P_nu_muAnti, P_tauMinus, 956, check)
    call createCurrent(P_nu_muAnti, P_tauMinus, P_GpPlus, 957, check)
    call createCurrent(P_nu_muAnti, P_GpPlus, P_tauMinus, 958, check)
    call createCurrent(P_GpPlus, P_nu_tauAnti, P_eMinus, 959, check)
    call createCurrent(P_GpPlus, P_eMinus, P_nu_tauAnti, 960, check)
    call createCurrent(P_nu_tauAnti, P_GpPlus, P_eMinus, 961, check)
    call createCurrent(P_nu_tauAnti, P_eMinus, P_GpPlus, 962, check)
    call createCurrent(P_eMinus, P_GpPlus, P_nu_tauAnti, 963, check)
    call createCurrent(P_GpPlus, P_nu_tauAnti, P_muMinus, 964, check)
    call createCurrent(P_GpPlus, P_muMinus, P_nu_tauAnti, 965, check)
    call createCurrent(P_nu_tauAnti, P_GpPlus, P_muMinus, 966, check)
    call createCurrent(P_nu_tauAnti, P_muMinus, P_GpPlus, 967, check)
    call createCurrent(P_muMinus, P_GpPlus, P_nu_tauAnti, 968, check)
    call createCurrent(P_GpPlus, P_tauMinus, P_nu_tauAnti, 969, check)
    call createCurrent(P_GpPlus, P_nu_tauAnti, P_tauMinus, 970, check)
    call createCurrent(P_tauMinus, P_GpPlus, P_nu_tauAnti, 971, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GpPlus, 972, check)
    call createCurrent(P_nu_tauAnti, P_GpPlus, P_tauMinus, 973, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 974, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 975, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 976, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 977, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 978, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 979, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 980, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 981, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 982, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 983, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 984, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 985, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 986, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 987, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 988, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 989, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 990, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 991, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 992, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 993, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 994, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 995, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 996, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 997, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 998, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 999, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 1000, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 1001, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 1002, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 1003, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 1004, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 1005, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 1006, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 1007, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 1008, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 1009, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 1010, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 1011, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 1012, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 1013, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 1014, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 1015, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 1016, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 1017, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 1018, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 1019, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 1020, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 1021, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 1022, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 1023, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 1024, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 1025, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 1026, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 1027, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 1028, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 1029, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 1030, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 1031, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 1032, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 1033, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 1034, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 1035, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 1036, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 1037, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 1038, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 1039, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1040, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 1041, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 1042, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 1043, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 1044, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 1045, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 1046, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 1047, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 1048, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 1049, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 1050, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 1051, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 1052, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 1053, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 1054, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 1055, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 1056, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 1057, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 1058, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 1059, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 1060, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 1061, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 1062, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 1063, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 1064, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 1065, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 1066, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 1067, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 1068, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 1069, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 1070, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 1071, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 1072, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 1073, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 1074, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 1075, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 1076, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 1077, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 1078, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 1079, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 1080, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 1081, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 1082, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 1083, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 1084, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 1085, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 1086, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 1087, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 1088, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 1089, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 1090, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 1091, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 1092, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 1093, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 1094, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 1095, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 1096, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 1097, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 1098, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 1099, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 1100, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 1101, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 1102, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 1103, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 1104, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 1105, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 1106, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 1107, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 1108, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 1109, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 1110, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 1111, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 1112, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 1113, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 1114, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 1115, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 1116, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 1117, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 1118, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 1119, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 1120, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 1121, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 1122, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 1123, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 1124, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 1125, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 1126, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 1127, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 1128, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 1129, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 1130, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 1131, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 1132, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 1133, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 1134, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 1135, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 1136, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 1137, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 1138, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 1139, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 1140, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 1141, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 1142, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 1143, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 1144, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 1145, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 1146, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 1147, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 1148, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 1149, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 1150, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 1151, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 1152, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 1153, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 1154, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 1155, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 1156, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 1157, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 1158, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 1159, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 1160, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 1161, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 1162, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 1163, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 1164, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 1165, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 1166, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 1167, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 1168, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 1169, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 1170, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 1171, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 1172, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 1173, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 1174, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 1175, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 1176, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1177, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 1178, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 1179, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 1180, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1181, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 1182, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 1183, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 1184, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 1185, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 1186, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 1187, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 1188, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 1189, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 1190, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 1191, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 1192, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 1193, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 1194, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 1195, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 1196, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 1197, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 1198, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 1199, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 1200, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 1201, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 1202, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 1203, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 1204, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 1205, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 1206, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 1207, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 1208, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 1209, check)
    call createCurrent(P_G0, P_Z, P_H, 1210, check)
    call createCurrent(P_G0, P_H, P_Z, 1211, check)
    call createCurrent(P_Z, P_H, P_G0, 1212, check)
    call createCurrent(P_H, P_G0, P_Z, 1213, check)
    call createCurrent(P_H, P_Z, P_G0, 1214, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 1215, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 1216, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 1217, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 1218, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 1219, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 1220, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 1221, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 1222, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 1223, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 1224, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 1225, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 1226, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 1227, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 1228, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 1229, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 1230, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 1231, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 1232, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 1233, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 1234, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 1235, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 1236, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 1237, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 1238, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 1239, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 1240, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 1241, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 1242, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 1243, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 1244, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 1245, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 1246, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 1247, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 1248, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 1249, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 1250, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 1251, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 1252, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 1253, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 1254, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 1255, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 1256, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 1257, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 1258, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 1259, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 1260, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 1261, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 1262, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 1263, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 1264, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 1265, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 1266, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 1267, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1268, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 1269, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 1270, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1271, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 1272, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 1273, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 1274, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 1275, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 1276, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 1277, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 1278, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 1279, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 1280, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 1281, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 1282, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 1283, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 1284, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 1285, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 1286, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 1287, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 1288, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 1289, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 1290, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 1291, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 1292, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1293, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 1294, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 1295, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 1296, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 1297, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 1298, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 1299, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 1300, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 1301, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 1302, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 1303, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 1304, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 1305, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 1306, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 1307, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 1308, check)
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 1309, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 1310, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 1311, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 1312, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 1313, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 1314, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 1315, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 1316, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 1317, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 1318, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 1319, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 1320, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 1321, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 1322, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 1323, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 1324, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 1325, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 1326, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 1327, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 1328, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 1329, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 1330, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 1331, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 1332, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 1333, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 1334, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 1335, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 1336, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 1337, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 1338, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 1339, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 1340, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 1341, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 1342, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 1343, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 1344, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 1345, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 1346, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 1347, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 1348, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 1349, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 1350, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 1351, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 1352, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 1353, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 1354, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 1355, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 1356, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 1357, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 1358, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 1359, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 1360, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 1361, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 1362, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 1363, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 1364, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 1365, check)
    call createCurrent(P_Z, P_H, P_Z, 1366, check)
    call createCurrent(P_H, P_Z, P_Z, 1367, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 1368, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 1369, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 1370, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 1371, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 1372, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 1373, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 1374, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1375, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 1376, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 1377, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 1378, check)
    call createCurrent(P_d, P_WpPlus, P_uAnti, 1379, check)
    call createCurrent(P_uAnti, P_d, P_WpPlus, 1380, check)
    call createCurrent(P_uAnti, P_WpPlus, P_d, 1381, check)
    call createCurrent(P_WpPlus, P_d, P_uAnti, 1382, check)
    call createCurrent(P_WpPlus, P_uAnti, P_d, 1383, check)
    call createCurrent(P_s, P_WpPlus, P_uAnti, 1384, check)
    call createCurrent(P_uAnti, P_s, P_WpPlus, 1385, check)
    call createCurrent(P_uAnti, P_WpPlus, P_s, 1386, check)
    call createCurrent(P_WpPlus, P_s, P_uAnti, 1387, check)
    call createCurrent(P_WpPlus, P_uAnti, P_s, 1388, check)
    call createCurrent(P_uAnti, P_WpPlus, P_b, 1389, check)
    call createCurrent(P_uAnti, P_b, P_WpPlus, 1390, check)
    call createCurrent(P_WpPlus, P_uAnti, P_b, 1391, check)
    call createCurrent(P_WpPlus, P_b, P_uAnti, 1392, check)
    call createCurrent(P_b, P_WpPlus, P_uAnti, 1393, check)
    call createCurrent(P_cAnti, P_d, P_WpPlus, 1394, check)
    call createCurrent(P_cAnti, P_WpPlus, P_d, 1395, check)
    call createCurrent(P_d, P_WpPlus, P_cAnti, 1396, check)
    call createCurrent(P_WpPlus, P_cAnti, P_d, 1397, check)
    call createCurrent(P_WpPlus, P_d, P_cAnti, 1398, check)
    call createCurrent(P_s, P_WpPlus, P_cAnti, 1399, check)
    call createCurrent(P_cAnti, P_s, P_WpPlus, 1400, check)
    call createCurrent(P_cAnti, P_WpPlus, P_s, 1401, check)
    call createCurrent(P_WpPlus, P_s, P_cAnti, 1402, check)
    call createCurrent(P_WpPlus, P_cAnti, P_s, 1403, check)
    call createCurrent(P_cAnti, P_WpPlus, P_b, 1404, check)
    call createCurrent(P_cAnti, P_b, P_WpPlus, 1405, check)
    call createCurrent(P_WpPlus, P_cAnti, P_b, 1406, check)
    call createCurrent(P_WpPlus, P_b, P_cAnti, 1407, check)
    call createCurrent(P_b, P_WpPlus, P_cAnti, 1408, check)
    call createCurrent(P_tAnti, P_d, P_WpPlus, 1409, check)
    call createCurrent(P_tAnti, P_WpPlus, P_d, 1410, check)
    call createCurrent(P_d, P_WpPlus, P_tAnti, 1411, check)
    call createCurrent(P_WpPlus, P_tAnti, P_d, 1412, check)
    call createCurrent(P_WpPlus, P_d, P_tAnti, 1413, check)
    call createCurrent(P_tAnti, P_s, P_WpPlus, 1414, check)
    call createCurrent(P_tAnti, P_WpPlus, P_s, 1415, check)
    call createCurrent(P_s, P_WpPlus, P_tAnti, 1416, check)
    call createCurrent(P_WpPlus, P_tAnti, P_s, 1417, check)
    call createCurrent(P_WpPlus, P_s, P_tAnti, 1418, check)
    call createCurrent(P_tAnti, P_WpPlus, P_b, 1419, check)
    call createCurrent(P_tAnti, P_b, P_WpPlus, 1420, check)
    call createCurrent(P_WpPlus, P_tAnti, P_b, 1421, check)
    call createCurrent(P_WpPlus, P_b, P_tAnti, 1422, check)
    call createCurrent(P_b, P_WpPlus, P_tAnti, 1423, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_eMinus, 1424, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WpPlus, 1425, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_eMinus, 1426, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_eAnti, 1427, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_eAnti, 1428, check)
    call createCurrent(P_nu_eAnti, P_muMinus, P_WpPlus, 1429, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_muMinus, 1430, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_eAnti, 1431, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_muMinus, 1432, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_eAnti, 1433, check)
    call createCurrent(P_nu_eAnti, P_tauMinus, P_WpPlus, 1434, check)
    call createCurrent(P_nu_eAnti, P_WpPlus, P_tauMinus, 1435, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_eAnti, 1436, check)
    call createCurrent(P_WpPlus, P_nu_eAnti, P_tauMinus, 1437, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_eAnti, 1438, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_eMinus, 1439, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_muAnti, 1440, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_eMinus, 1441, check)
    call createCurrent(P_nu_muAnti, P_eMinus, P_WpPlus, 1442, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_muAnti, 1443, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_muAnti, 1444, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_muMinus, 1445, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_muAnti, 1446, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WpPlus, 1447, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_muMinus, 1448, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_muAnti, 1449, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_muAnti, 1450, check)
    call createCurrent(P_WpPlus, P_nu_muAnti, P_tauMinus, 1451, check)
    call createCurrent(P_nu_muAnti, P_tauMinus, P_WpPlus, 1452, check)
    call createCurrent(P_nu_muAnti, P_WpPlus, P_tauMinus, 1453, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_eMinus, 1454, check)
    call createCurrent(P_nu_tauAnti, P_eMinus, P_WpPlus, 1455, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_eMinus, 1456, check)
    call createCurrent(P_WpPlus, P_eMinus, P_nu_tauAnti, 1457, check)
    call createCurrent(P_eMinus, P_WpPlus, P_nu_tauAnti, 1458, check)
    call createCurrent(P_nu_tauAnti, P_muMinus, P_WpPlus, 1459, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_muMinus, 1460, check)
    call createCurrent(P_muMinus, P_WpPlus, P_nu_tauAnti, 1461, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_muMinus, 1462, check)
    call createCurrent(P_WpPlus, P_muMinus, P_nu_tauAnti, 1463, check)
    call createCurrent(P_tauMinus, P_WpPlus, P_nu_tauAnti, 1464, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WpPlus, 1465, check)
    call createCurrent(P_nu_tauAnti, P_WpPlus, P_tauMinus, 1466, check)
    call createCurrent(P_WpPlus, P_tauMinus, P_nu_tauAnti, 1467, check)
    call createCurrent(P_WpPlus, P_nu_tauAnti, P_tauMinus, 1468, check)
    call createCurrent(P_d, P_Zp, P_dAnti, 1469, check)
    call createCurrent(P_Zp, P_d, P_dAnti, 1470, check)
    call createCurrent(P_Zp, P_dAnti, P_d, 1471, check)
    call createCurrent(P_dAnti, P_d, P_Zp, 1472, check)
    call createCurrent(P_dAnti, P_Zp, P_d, 1473, check)
    call createCurrent(P_s, P_Zp, P_dAnti, 1474, check)
    call createCurrent(P_Zp, P_s, P_dAnti, 1475, check)
    call createCurrent(P_Zp, P_dAnti, P_s, 1476, check)
    call createCurrent(P_dAnti, P_s, P_Zp, 1477, check)
    call createCurrent(P_dAnti, P_Zp, P_s, 1478, check)
    call createCurrent(P_Zp, P_dAnti, P_b, 1479, check)
    call createCurrent(P_Zp, P_b, P_dAnti, 1480, check)
    call createCurrent(P_dAnti, P_Zp, P_b, 1481, check)
    call createCurrent(P_dAnti, P_b, P_Zp, 1482, check)
    call createCurrent(P_b, P_Zp, P_dAnti, 1483, check)
    call createCurrent(P_d, P_Zp, P_sAnti, 1484, check)
    call createCurrent(P_sAnti, P_d, P_Zp, 1485, check)
    call createCurrent(P_sAnti, P_Zp, P_d, 1486, check)
    call createCurrent(P_Zp, P_d, P_sAnti, 1487, check)
    call createCurrent(P_Zp, P_sAnti, P_d, 1488, check)
    call createCurrent(P_s, P_Zp, P_sAnti, 1489, check)
    call createCurrent(P_sAnti, P_s, P_Zp, 1490, check)
    call createCurrent(P_sAnti, P_Zp, P_s, 1491, check)
    call createCurrent(P_Zp, P_s, P_sAnti, 1492, check)
    call createCurrent(P_Zp, P_sAnti, P_s, 1493, check)
    call createCurrent(P_sAnti, P_Zp, P_b, 1494, check)
    call createCurrent(P_sAnti, P_b, P_Zp, 1495, check)
    call createCurrent(P_Zp, P_sAnti, P_b, 1496, check)
    call createCurrent(P_Zp, P_b, P_sAnti, 1497, check)
    call createCurrent(P_b, P_Zp, P_sAnti, 1498, check)
    call createCurrent(P_bAnti, P_d, P_Zp, 1499, check)
    call createCurrent(P_bAnti, P_Zp, P_d, 1500, check)
    call createCurrent(P_d, P_Zp, P_bAnti, 1501, check)
    call createCurrent(P_Zp, P_bAnti, P_d, 1502, check)
    call createCurrent(P_Zp, P_d, P_bAnti, 1503, check)
    call createCurrent(P_s, P_Zp, P_bAnti, 1504, check)
    call createCurrent(P_bAnti, P_s, P_Zp, 1505, check)
    call createCurrent(P_bAnti, P_Zp, P_s, 1506, check)
    call createCurrent(P_Zp, P_s, P_bAnti, 1507, check)
    call createCurrent(P_Zp, P_bAnti, P_s, 1508, check)
    call createCurrent(P_bAnti, P_Zp, P_b, 1509, check)
    call createCurrent(P_bAnti, P_b, P_Zp, 1510, check)
    call createCurrent(P_Zp, P_bAnti, P_b, 1511, check)
    call createCurrent(P_Zp, P_b, P_bAnti, 1512, check)
    call createCurrent(P_b, P_Zp, P_bAnti, 1513, check)
    call createCurrent(P_ePlus, P_Zp, P_eMinus, 1514, check)
    call createCurrent(P_ePlus, P_eMinus, P_Zp, 1515, check)
    call createCurrent(P_Zp, P_ePlus, P_eMinus, 1516, check)
    call createCurrent(P_Zp, P_eMinus, P_ePlus, 1517, check)
    call createCurrent(P_eMinus, P_Zp, P_ePlus, 1518, check)
    call createCurrent(P_ePlus, P_muMinus, P_Zp, 1519, check)
    call createCurrent(P_ePlus, P_Zp, P_muMinus, 1520, check)
    call createCurrent(P_muMinus, P_Zp, P_ePlus, 1521, check)
    call createCurrent(P_Zp, P_ePlus, P_muMinus, 1522, check)
    call createCurrent(P_Zp, P_muMinus, P_ePlus, 1523, check)
    call createCurrent(P_ePlus, P_tauMinus, P_Zp, 1524, check)
    call createCurrent(P_ePlus, P_Zp, P_tauMinus, 1525, check)
    call createCurrent(P_tauMinus, P_Zp, P_ePlus, 1526, check)
    call createCurrent(P_Zp, P_ePlus, P_tauMinus, 1527, check)
    call createCurrent(P_Zp, P_tauMinus, P_ePlus, 1528, check)
    call createCurrent(P_muPlus, P_Zp, P_eMinus, 1529, check)
    call createCurrent(P_muPlus, P_eMinus, P_Zp, 1530, check)
    call createCurrent(P_Zp, P_muPlus, P_eMinus, 1531, check)
    call createCurrent(P_Zp, P_eMinus, P_muPlus, 1532, check)
    call createCurrent(P_eMinus, P_Zp, P_muPlus, 1533, check)
    call createCurrent(P_muPlus, P_muMinus, P_Zp, 1534, check)
    call createCurrent(P_muPlus, P_Zp, P_muMinus, 1535, check)
    call createCurrent(P_muMinus, P_Zp, P_muPlus, 1536, check)
    call createCurrent(P_Zp, P_muPlus, P_muMinus, 1537, check)
    call createCurrent(P_Zp, P_muMinus, P_muPlus, 1538, check)
    call createCurrent(P_muPlus, P_tauMinus, P_Zp, 1539, check)
    call createCurrent(P_muPlus, P_Zp, P_tauMinus, 1540, check)
    call createCurrent(P_tauMinus, P_Zp, P_muPlus, 1541, check)
    call createCurrent(P_Zp, P_muPlus, P_tauMinus, 1542, check)
    call createCurrent(P_Zp, P_tauMinus, P_muPlus, 1543, check)
    call createCurrent(P_Zp, P_tauPlus, P_eMinus, 1544, check)
    call createCurrent(P_Zp, P_eMinus, P_tauPlus, 1545, check)
    call createCurrent(P_tauPlus, P_Zp, P_eMinus, 1546, check)
    call createCurrent(P_tauPlus, P_eMinus, P_Zp, 1547, check)
    call createCurrent(P_eMinus, P_Zp, P_tauPlus, 1548, check)
    call createCurrent(P_Zp, P_muMinus, P_tauPlus, 1549, check)
    call createCurrent(P_Zp, P_tauPlus, P_muMinus, 1550, check)
    call createCurrent(P_muMinus, P_Zp, P_tauPlus, 1551, check)
    call createCurrent(P_tauPlus, P_muMinus, P_Zp, 1552, check)
    call createCurrent(P_tauPlus, P_Zp, P_muMinus, 1553, check)
    call createCurrent(P_tauMinus, P_Zp, P_tauPlus, 1554, check)
    call createCurrent(P_Zp, P_tauMinus, P_tauPlus, 1555, check)
    call createCurrent(P_Zp, P_tauPlus, P_tauMinus, 1556, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Zp, 1557, check)
    call createCurrent(P_tauPlus, P_Zp, P_tauMinus, 1558, check)
    call createCurrent(P_u, P_Zp, P_uAnti, 1559, check)
    call createCurrent(P_uAnti, P_u, P_Zp, 1560, check)
    call createCurrent(P_uAnti, P_Zp, P_u, 1561, check)
    call createCurrent(P_Zp, P_u, P_uAnti, 1562, check)
    call createCurrent(P_Zp, P_uAnti, P_u, 1563, check)
    call createCurrent(P_uAnti, P_Zp, P_c, 1564, check)
    call createCurrent(P_uAnti, P_c, P_Zp, 1565, check)
    call createCurrent(P_Zp, P_uAnti, P_c, 1566, check)
    call createCurrent(P_Zp, P_c, P_uAnti, 1567, check)
    call createCurrent(P_c, P_Zp, P_uAnti, 1568, check)
    call createCurrent(P_uAnti, P_t, P_Zp, 1569, check)
    call createCurrent(P_uAnti, P_Zp, P_t, 1570, check)
    call createCurrent(P_t, P_Zp, P_uAnti, 1571, check)
    call createCurrent(P_Zp, P_uAnti, P_t, 1572, check)
    call createCurrent(P_Zp, P_t, P_uAnti, 1573, check)
    call createCurrent(P_u, P_Zp, P_cAnti, 1574, check)
    call createCurrent(P_cAnti, P_u, P_Zp, 1575, check)
    call createCurrent(P_cAnti, P_Zp, P_u, 1576, check)
    call createCurrent(P_Zp, P_u, P_cAnti, 1577, check)
    call createCurrent(P_Zp, P_cAnti, P_u, 1578, check)
    call createCurrent(P_cAnti, P_Zp, P_c, 1579, check)
    call createCurrent(P_cAnti, P_c, P_Zp, 1580, check)
    call createCurrent(P_Zp, P_cAnti, P_c, 1581, check)
    call createCurrent(P_Zp, P_c, P_cAnti, 1582, check)
    call createCurrent(P_c, P_Zp, P_cAnti, 1583, check)
    call createCurrent(P_cAnti, P_t, P_Zp, 1584, check)
    call createCurrent(P_cAnti, P_Zp, P_t, 1585, check)
    call createCurrent(P_t, P_Zp, P_cAnti, 1586, check)
    call createCurrent(P_Zp, P_cAnti, P_t, 1587, check)
    call createCurrent(P_Zp, P_t, P_cAnti, 1588, check)
    call createCurrent(P_tAnti, P_u, P_Zp, 1589, check)
    call createCurrent(P_tAnti, P_Zp, P_u, 1590, check)
    call createCurrent(P_u, P_Zp, P_tAnti, 1591, check)
    call createCurrent(P_Zp, P_tAnti, P_u, 1592, check)
    call createCurrent(P_Zp, P_u, P_tAnti, 1593, check)
    call createCurrent(P_tAnti, P_Zp, P_c, 1594, check)
    call createCurrent(P_tAnti, P_c, P_Zp, 1595, check)
    call createCurrent(P_Zp, P_tAnti, P_c, 1596, check)
    call createCurrent(P_Zp, P_c, P_tAnti, 1597, check)
    call createCurrent(P_c, P_Zp, P_tAnti, 1598, check)
    call createCurrent(P_tAnti, P_t, P_Zp, 1599, check)
    call createCurrent(P_tAnti, P_Zp, P_t, 1600, check)
    call createCurrent(P_t, P_Zp, P_tAnti, 1601, check)
    call createCurrent(P_Zp, P_tAnti, P_t, 1602, check)
    call createCurrent(P_Zp, P_t, P_tAnti, 1603, check)
    call createCurrent(P_u, P_WpMinus, P_dAnti, 1604, check)
    call createCurrent(P_WpMinus, P_u, P_dAnti, 1605, check)
    call createCurrent(P_WpMinus, P_dAnti, P_u, 1606, check)
    call createCurrent(P_dAnti, P_u, P_WpMinus, 1607, check)
    call createCurrent(P_dAnti, P_WpMinus, P_u, 1608, check)
    call createCurrent(P_WpMinus, P_dAnti, P_c, 1609, check)
    call createCurrent(P_WpMinus, P_c, P_dAnti, 1610, check)
    call createCurrent(P_dAnti, P_WpMinus, P_c, 1611, check)
    call createCurrent(P_dAnti, P_c, P_WpMinus, 1612, check)
    call createCurrent(P_c, P_WpMinus, P_dAnti, 1613, check)
    call createCurrent(P_WpMinus, P_t, P_dAnti, 1614, check)
    call createCurrent(P_WpMinus, P_dAnti, P_t, 1615, check)
    call createCurrent(P_t, P_WpMinus, P_dAnti, 1616, check)
    call createCurrent(P_dAnti, P_WpMinus, P_t, 1617, check)
    call createCurrent(P_dAnti, P_t, P_WpMinus, 1618, check)
    call createCurrent(P_u, P_WpMinus, P_sAnti, 1619, check)
    call createCurrent(P_WpMinus, P_u, P_sAnti, 1620, check)
    call createCurrent(P_WpMinus, P_sAnti, P_u, 1621, check)
    call createCurrent(P_sAnti, P_u, P_WpMinus, 1622, check)
    call createCurrent(P_sAnti, P_WpMinus, P_u, 1623, check)
    call createCurrent(P_WpMinus, P_sAnti, P_c, 1624, check)
    call createCurrent(P_WpMinus, P_c, P_sAnti, 1625, check)
    call createCurrent(P_sAnti, P_WpMinus, P_c, 1626, check)
    call createCurrent(P_sAnti, P_c, P_WpMinus, 1627, check)
    call createCurrent(P_c, P_WpMinus, P_sAnti, 1628, check)
    call createCurrent(P_WpMinus, P_sAnti, P_t, 1629, check)
    call createCurrent(P_WpMinus, P_t, P_sAnti, 1630, check)
    call createCurrent(P_sAnti, P_WpMinus, P_t, 1631, check)
    call createCurrent(P_sAnti, P_t, P_WpMinus, 1632, check)
    call createCurrent(P_t, P_WpMinus, P_sAnti, 1633, check)
    call createCurrent(P_u, P_WpMinus, P_bAnti, 1634, check)
    call createCurrent(P_bAnti, P_u, P_WpMinus, 1635, check)
    call createCurrent(P_bAnti, P_WpMinus, P_u, 1636, check)
    call createCurrent(P_WpMinus, P_u, P_bAnti, 1637, check)
    call createCurrent(P_WpMinus, P_bAnti, P_u, 1638, check)
    call createCurrent(P_bAnti, P_WpMinus, P_c, 1639, check)
    call createCurrent(P_bAnti, P_c, P_WpMinus, 1640, check)
    call createCurrent(P_WpMinus, P_bAnti, P_c, 1641, check)
    call createCurrent(P_WpMinus, P_c, P_bAnti, 1642, check)
    call createCurrent(P_c, P_WpMinus, P_bAnti, 1643, check)
    call createCurrent(P_bAnti, P_WpMinus, P_t, 1644, check)
    call createCurrent(P_bAnti, P_t, P_WpMinus, 1645, check)
    call createCurrent(P_WpMinus, P_bAnti, P_t, 1646, check)
    call createCurrent(P_WpMinus, P_t, P_bAnti, 1647, check)
    call createCurrent(P_t, P_WpMinus, P_bAnti, 1648, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_e, 1649, check)
    call createCurrent(P_ePlus, P_nu_e, P_WpMinus, 1650, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_e, 1651, check)
    call createCurrent(P_WpMinus, P_nu_e, P_ePlus, 1652, check)
    call createCurrent(P_nu_e, P_WpMinus, P_ePlus, 1653, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_mu, 1654, check)
    call createCurrent(P_ePlus, P_nu_mu, P_WpMinus, 1655, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_ePlus, 1656, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_mu, 1657, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_ePlus, 1658, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_ePlus, 1659, check)
    call createCurrent(P_ePlus, P_nu_tau, P_WpMinus, 1660, check)
    call createCurrent(P_ePlus, P_WpMinus, P_nu_tau, 1661, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_ePlus, 1662, check)
    call createCurrent(P_WpMinus, P_ePlus, P_nu_tau, 1663, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_e, 1664, check)
    call createCurrent(P_muPlus, P_nu_e, P_WpMinus, 1665, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_e, 1666, check)
    call createCurrent(P_WpMinus, P_nu_e, P_muPlus, 1667, check)
    call createCurrent(P_nu_e, P_WpMinus, P_muPlus, 1668, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_mu, 1669, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WpMinus, 1670, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_mu, 1671, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_muPlus, 1672, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_muPlus, 1673, check)
    call createCurrent(P_muPlus, P_nu_tau, P_WpMinus, 1674, check)
    call createCurrent(P_muPlus, P_WpMinus, P_nu_tau, 1675, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_muPlus, 1676, check)
    call createCurrent(P_WpMinus, P_muPlus, P_nu_tau, 1677, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_muPlus, 1678, check)
    call createCurrent(P_WpMinus, P_nu_e, P_tauPlus, 1679, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_e, 1680, check)
    call createCurrent(P_nu_e, P_WpMinus, P_tauPlus, 1681, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_e, 1682, check)
    call createCurrent(P_tauPlus, P_nu_e, P_WpMinus, 1683, check)
    call createCurrent(P_WpMinus, P_nu_mu, P_tauPlus, 1684, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_mu, 1685, check)
    call createCurrent(P_nu_mu, P_WpMinus, P_tauPlus, 1686, check)
    call createCurrent(P_tauPlus, P_nu_mu, P_WpMinus, 1687, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_mu, 1688, check)
    call createCurrent(P_nu_tau, P_WpMinus, P_tauPlus, 1689, check)
    call createCurrent(P_WpMinus, P_nu_tau, P_tauPlus, 1690, check)
    call createCurrent(P_WpMinus, P_tauPlus, P_nu_tau, 1691, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WpMinus, 1692, check)
    call createCurrent(P_tauPlus, P_WpMinus, P_nu_tau, 1693, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 1694, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 1695, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 1696, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 1697, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 1698, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 1699, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 1700, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 1701, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 1702, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 1703, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 1704, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 1705, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 1706, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 1707, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 1708, check)
    call createCurrent(P_A, P_u, P_uAnti, 1709, check)
    call createCurrent(P_A, P_uAnti, P_u, 1710, check)
    call createCurrent(P_u, P_A, P_uAnti, 1711, check)
    call createCurrent(P_uAnti, P_A, P_u, 1712, check)
    call createCurrent(P_uAnti, P_u, P_A, 1713, check)
    call createCurrent(P_A, P_cAnti, P_c, 1714, check)
    call createCurrent(P_A, P_c, P_cAnti, 1715, check)
    call createCurrent(P_cAnti, P_A, P_c, 1716, check)
    call createCurrent(P_cAnti, P_c, P_A, 1717, check)
    call createCurrent(P_c, P_A, P_cAnti, 1718, check)
    call createCurrent(P_tAnti, P_A, P_t, 1719, check)
    call createCurrent(P_tAnti, P_t, P_A, 1720, check)
    call createCurrent(P_A, P_tAnti, P_t, 1721, check)
    call createCurrent(P_A, P_t, P_tAnti, 1722, check)
    call createCurrent(P_t, P_A, P_tAnti, 1723, check)
    call createCurrent(P_A, P_d, P_dAnti, 1724, check)
    call createCurrent(P_A, P_dAnti, P_d, 1725, check)
    call createCurrent(P_d, P_A, P_dAnti, 1726, check)
    call createCurrent(P_dAnti, P_A, P_d, 1727, check)
    call createCurrent(P_dAnti, P_d, P_A, 1728, check)
    call createCurrent(P_A, P_s, P_sAnti, 1729, check)
    call createCurrent(P_A, P_sAnti, P_s, 1730, check)
    call createCurrent(P_s, P_A, P_sAnti, 1731, check)
    call createCurrent(P_sAnti, P_A, P_s, 1732, check)
    call createCurrent(P_sAnti, P_s, P_A, 1733, check)
    call createCurrent(P_A, P_bAnti, P_b, 1734, check)
    call createCurrent(P_A, P_b, P_bAnti, 1735, check)
    call createCurrent(P_bAnti, P_A, P_b, 1736, check)
    call createCurrent(P_bAnti, P_b, P_A, 1737, check)
    call createCurrent(P_b, P_A, P_bAnti, 1738, check)
    call createCurrent(P_g, P_u, P_uAnti, 1739, check)
    call createCurrent(P_g, P_uAnti, P_u, 1740, check)
    call createCurrent(P_u, P_g, P_uAnti, 1741, check)
    call createCurrent(P_uAnti, P_g, P_u, 1742, check)
    call createCurrent(P_uAnti, P_u, P_g, 1743, check)
    call createCurrent(P_g, P_cAnti, P_c, 1744, check)
    call createCurrent(P_g, P_c, P_cAnti, 1745, check)
    call createCurrent(P_cAnti, P_g, P_c, 1746, check)
    call createCurrent(P_cAnti, P_c, P_g, 1747, check)
    call createCurrent(P_c, P_g, P_cAnti, 1748, check)
    call createCurrent(P_tAnti, P_g, P_t, 1749, check)
    call createCurrent(P_tAnti, P_t, P_g, 1750, check)
    call createCurrent(P_g, P_tAnti, P_t, 1751, check)
    call createCurrent(P_g, P_t, P_tAnti, 1752, check)
    call createCurrent(P_t, P_g, P_tAnti, 1753, check)
    call createCurrent(P_g, P_d, P_dAnti, 1754, check)
    call createCurrent(P_g, P_dAnti, P_d, 1755, check)
    call createCurrent(P_d, P_g, P_dAnti, 1756, check)
    call createCurrent(P_dAnti, P_g, P_d, 1757, check)
    call createCurrent(P_dAnti, P_d, P_g, 1758, check)
    call createCurrent(P_g, P_s, P_sAnti, 1759, check)
    call createCurrent(P_g, P_sAnti, P_s, 1760, check)
    call createCurrent(P_s, P_g, P_sAnti, 1761, check)
    call createCurrent(P_sAnti, P_g, P_s, 1762, check)
    call createCurrent(P_sAnti, P_s, P_g, 1763, check)
    call createCurrent(P_g, P_bAnti, P_b, 1764, check)
    call createCurrent(P_g, P_b, P_bAnti, 1765, check)
    call createCurrent(P_bAnti, P_g, P_b, 1766, check)
    call createCurrent(P_bAnti, P_b, P_g, 1767, check)
    call createCurrent(P_b, P_g, P_bAnti, 1768, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 1769, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 1770, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 1771, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 1772, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 1773, check)
    call createCurrent(P_s, P_WPlus, P_uAnti, 1774, check)
    call createCurrent(P_uAnti, P_s, P_WPlus, 1775, check)
    call createCurrent(P_uAnti, P_WPlus, P_s, 1776, check)
    call createCurrent(P_WPlus, P_s, P_uAnti, 1777, check)
    call createCurrent(P_WPlus, P_uAnti, P_s, 1778, check)
    call createCurrent(P_WPlus, P_uAnti, P_b, 1779, check)
    call createCurrent(P_WPlus, P_b, P_uAnti, 1780, check)
    call createCurrent(P_uAnti, P_WPlus, P_b, 1781, check)
    call createCurrent(P_uAnti, P_b, P_WPlus, 1782, check)
    call createCurrent(P_b, P_WPlus, P_uAnti, 1783, check)
    call createCurrent(P_cAnti, P_d, P_WPlus, 1784, check)
    call createCurrent(P_cAnti, P_WPlus, P_d, 1785, check)
    call createCurrent(P_d, P_WPlus, P_cAnti, 1786, check)
    call createCurrent(P_WPlus, P_cAnti, P_d, 1787, check)
    call createCurrent(P_WPlus, P_d, P_cAnti, 1788, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 1789, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 1790, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 1791, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 1792, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 1793, check)
    call createCurrent(P_cAnti, P_WPlus, P_b, 1794, check)
    call createCurrent(P_cAnti, P_b, P_WPlus, 1795, check)
    call createCurrent(P_WPlus, P_cAnti, P_b, 1796, check)
    call createCurrent(P_WPlus, P_b, P_cAnti, 1797, check)
    call createCurrent(P_b, P_WPlus, P_cAnti, 1798, check)
    call createCurrent(P_tAnti, P_d, P_WPlus, 1799, check)
    call createCurrent(P_tAnti, P_WPlus, P_d, 1800, check)
    call createCurrent(P_d, P_WPlus, P_tAnti, 1801, check)
    call createCurrent(P_WPlus, P_tAnti, P_d, 1802, check)
    call createCurrent(P_WPlus, P_d, P_tAnti, 1803, check)
    call createCurrent(P_tAnti, P_s, P_WPlus, 1804, check)
    call createCurrent(P_tAnti, P_WPlus, P_s, 1805, check)
    call createCurrent(P_s, P_WPlus, P_tAnti, 1806, check)
    call createCurrent(P_WPlus, P_tAnti, P_s, 1807, check)
    call createCurrent(P_WPlus, P_s, P_tAnti, 1808, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 1809, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 1810, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 1811, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 1812, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1813, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 1814, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 1815, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 1816, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 1817, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 1818, check)
    call createCurrent(P_WMinus, P_dAnti, P_c, 1819, check)
    call createCurrent(P_WMinus, P_c, P_dAnti, 1820, check)
    call createCurrent(P_dAnti, P_WMinus, P_c, 1821, check)
    call createCurrent(P_dAnti, P_c, P_WMinus, 1822, check)
    call createCurrent(P_c, P_WMinus, P_dAnti, 1823, check)
    call createCurrent(P_WMinus, P_t, P_dAnti, 1824, check)
    call createCurrent(P_WMinus, P_dAnti, P_t, 1825, check)
    call createCurrent(P_t, P_WMinus, P_dAnti, 1826, check)
    call createCurrent(P_dAnti, P_t, P_WMinus, 1827, check)
    call createCurrent(P_dAnti, P_WMinus, P_t, 1828, check)
    call createCurrent(P_u, P_WMinus, P_sAnti, 1829, check)
    call createCurrent(P_sAnti, P_u, P_WMinus, 1830, check)
    call createCurrent(P_sAnti, P_WMinus, P_u, 1831, check)
    call createCurrent(P_WMinus, P_u, P_sAnti, 1832, check)
    call createCurrent(P_WMinus, P_sAnti, P_u, 1833, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 1834, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 1835, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 1836, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 1837, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 1838, check)
    call createCurrent(P_sAnti, P_t, P_WMinus, 1839, check)
    call createCurrent(P_sAnti, P_WMinus, P_t, 1840, check)
    call createCurrent(P_t, P_WMinus, P_sAnti, 1841, check)
    call createCurrent(P_WMinus, P_sAnti, P_t, 1842, check)
    call createCurrent(P_WMinus, P_t, P_sAnti, 1843, check)
    call createCurrent(P_u, P_WMinus, P_bAnti, 1844, check)
    call createCurrent(P_bAnti, P_u, P_WMinus, 1845, check)
    call createCurrent(P_bAnti, P_WMinus, P_u, 1846, check)
    call createCurrent(P_WMinus, P_u, P_bAnti, 1847, check)
    call createCurrent(P_WMinus, P_bAnti, P_u, 1848, check)
    call createCurrent(P_bAnti, P_WMinus, P_c, 1849, check)
    call createCurrent(P_bAnti, P_c, P_WMinus, 1850, check)
    call createCurrent(P_WMinus, P_bAnti, P_c, 1851, check)
    call createCurrent(P_WMinus, P_c, P_bAnti, 1852, check)
    call createCurrent(P_c, P_WMinus, P_bAnti, 1853, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 1854, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 1855, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 1856, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 1857, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 1858, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 1859, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 1860, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 1861, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 1862, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 1863, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 1864, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 1865, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 1866, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 1867, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 1868, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 1869, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 1870, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 1871, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 1872, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 1873, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 1874, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 1875, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 1876, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 1877, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 1878, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 1879, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 1880, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 1881, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 1882, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 1883, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 1884, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 1885, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 1886, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 1887, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 1888, check)
    call createCurrent(P_u, P_Z, P_uAnti, 1889, check)
    call createCurrent(P_Z, P_u, P_uAnti, 1890, check)
    call createCurrent(P_Z, P_uAnti, P_u, 1891, check)
    call createCurrent(P_uAnti, P_u, P_Z, 1892, check)
    call createCurrent(P_uAnti, P_Z, P_u, 1893, check)
    call createCurrent(P_cAnti, P_Z, P_c, 1894, check)
    call createCurrent(P_cAnti, P_c, P_Z, 1895, check)
    call createCurrent(P_Z, P_cAnti, P_c, 1896, check)
    call createCurrent(P_Z, P_c, P_cAnti, 1897, check)
    call createCurrent(P_c, P_Z, P_cAnti, 1898, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1899, check)
    call createCurrent(P_tAnti, P_t, P_Z, 1900, check)
    call createCurrent(P_Z, P_tAnti, P_t, 1901, check)
    call createCurrent(P_Z, P_t, P_tAnti, 1902, check)
    call createCurrent(P_t, P_Z, P_tAnti, 1903, check)
    call createCurrent(P_d, P_Z, P_dAnti, 1904, check)
    call createCurrent(P_Z, P_d, P_dAnti, 1905, check)
    call createCurrent(P_Z, P_dAnti, P_d, 1906, check)
    call createCurrent(P_dAnti, P_d, P_Z, 1907, check)
    call createCurrent(P_dAnti, P_Z, P_d, 1908, check)
    call createCurrent(P_s, P_Z, P_sAnti, 1909, check)
    call createCurrent(P_Z, P_s, P_sAnti, 1910, check)
    call createCurrent(P_Z, P_sAnti, P_s, 1911, check)
    call createCurrent(P_sAnti, P_s, P_Z, 1912, check)
    call createCurrent(P_sAnti, P_Z, P_s, 1913, check)
    call createCurrent(P_bAnti, P_Z, P_b, 1914, check)
    call createCurrent(P_bAnti, P_b, P_Z, 1915, check)
    call createCurrent(P_Z, P_bAnti, P_b, 1916, check)
    call createCurrent(P_Z, P_b, P_bAnti, 1917, check)
    call createCurrent(P_b, P_Z, P_bAnti, 1918, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 1919, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 1920, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 1921, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 1922, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 1923, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 1924, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 1925, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 1926, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 1927, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 1928, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 1929, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 1930, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 1931, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 1932, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 1933, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 1934, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 1935, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 1936, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 1937, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 1938, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 1939, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 1940, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 1941, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 1942, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 1943, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 1944, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 1945, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 1946, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 1947, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 1948, check)
    call createCurrent(P_t, P_tAnti, 1949, check)
    call createCurrent(P_u, P_uAnti, 1950, check)
    call createCurrent(P_d, P_dAnti, 1951, check)
    call createCurrent(P_c, P_cAnti, 1952, check)
    call createCurrent(P_s, P_sAnti, 1953, check)
    call createCurrent(P_b, P_bAnti, 1954, check)
    call createCurrent(P_g, P_g, 1955, check)
    call createCurrent(P_tAnti, P_t, 1956, check)
    call createCurrent(P_uAnti, P_u, 1957, check)
    call createCurrent(P_dAnti, P_d, 1958, check)
    call createCurrent(P_cAnti, P_c, 1959, check)
    call createCurrent(P_sAnti, P_s, 1960, check)
    call createCurrent(P_bAnti, P_b, 1961, check)
  end subroutine fill_current_1
end module currents_info1
