!******************************************************************************!
!                                                                              !
!    tcFaF.f90                                                                 !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcFaF.f90                                      |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-12-12 18:37             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcFaF
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec
  contains
    subroutine treeFaF(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(FaF0)
!       GammaP(-1,1,2)*P(-1,2)*c0
!       GammaM(-1,1,2)*P(-1,2)*c1
!       ProjP(1,2)*c2
!       ProjM(1,2)*c3
    if (last .eqv. .false.) then
      pl(:) = PL1(:)
      x0 = co(2)*m
      x1 = pl(1)*w1(2)
      x2 = pl(1)*w1(0)
      x3 = pl(2)*w1(1)
      x4 = P1(0)*co(1)
      x5 = pl(1)*w1(1)
      x6 = pl(2)*w1(0)
      x7 = P1(1)*co(1)
      x8 = P1(3)*co(1)
      x9 = pl(2)*w1(3)
      x10 = P1(1)*co(0)
      x11 = m*x10
      x12 = P1(3)*co(0)
      x13 = m*w1(2)
      x14 = P1(0)*co(0)
      x15 = P1(2)*cima
      x16 = co(1)*x15
      x17 = m*w1(3)
      x18 = co(0)*x15
      x19 = pl(0)*w1(1)
      x20 = pl(3)*w1(0)
      x21 = pl(0)*w1(3)
      x22 = pl(0)*w1(0)
      x23 = pl(3)*w1(1)
      x24 = pl(3)*w1(2)
      x25 = pl(2)*w1(2)
      x26 = pl(0)*w1(2)
      x27 = co(3)*m
      x28 = m*w1(0)
      x29 = m*w1(1)
      x30 = pl(3)*w1(3)
      x31 = pl(1)*w1(3)
      wout(0) = co(3)*x1 - co(3)*x9 + w1(0)*x0 + w1(3)*x11 + x12*x13 - x13*x14 &
                 - x16*(x5 + x6) + x17*x18 - x4*(x2 - x3) - x7*(x5 - x6) - x8*(&
                x2 + x3)
      wout(1) = co(3)*x21 - co(3)*x24 + w1(1)*x0 + w1(2)*x11 - x12*x17 - x13*  &
                x18 - x14*x17 + x16*(x22 + x23) - x4*(x19 - x20) - x7*(x22 -   &
                x23) + x8*(x19 + x20)
      wout(2) = co(2)*x22 + co(2)*x3 + w1(2)*x27 + x10*(x21 + x25) + x12*(x26  &
                 - x9) - x14*(x26 + x9) - x16*x29 + x18*(x21 - x25) - x28*x4 - &
                x28*x8 - x29*x7
      wout(3) = co(2)*x20 + co(2)*x5 + w1(3)*x27 + x10*(x1 + x30) - x12*(-x24  &
                 + x31) - x14*(x24 + x31) + x16*x28 - x18*(x1 - x30) - x28*x7  &
                 - x29*x4 + x29*x8
    else
      x0 = P1(1)*co(0)
      x1 = co(0)*w1(2)
      x2 = co(0)*w1(3)
      x3 = P1(2)*cima
      x4 = co(1)*w1(0)
      x5 = co(1)*w1(1)
      wout(0) = -P1(0)*x1 + P1(3)*x1 + co(2)*w1(0) + w1(3)*x0 + x2*x3
      wout(1) = -P1(0)*x2 - P1(3)*x2 + co(2)*w1(1) + w1(2)*x0 - x1*x3
      wout(2) = -P1(0)*x4 - P1(1)*x5 - P1(3)*x4 + co(3)*w1(2) - x3*x5
      wout(3) = -P1(0)*x5 - P1(1)*x4 + P1(3)*x5 + co(3)*w1(3) + x3*x4
    end if 
      end select 
    end subroutine treeFaF
end module tcFaF
